<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License

*/
	// Set flag that this is a parent file
	defined('_FEXEC') or die();
	class eventsLocations{
		var $pagination;
		var $splitResult;
		var $type;
		function eventsLocations(){
			$this->pagination=false;
			$this->splitResult=false;
			$this->type = 'loc';
		}
		function doLocationsList($where='',$search=''){
			global $FSESSION,$FREQUEST,$jsData;

			$page=$FREQUEST->getvalue('page','int',1);
			if ($search!=''){
				$orderBy="order by location_id";
			} else {
				$orderBy="order by location_id";
			}
			$query_split=false;
			$location_sql = "select location_id, location_name, location_details, location_contact_person from ".TABLE_EVENTS_LOCATIONS." $where $orderBy";
			if ($this->pagination){
				$query_split=$this->splitResult = &instance::getSplitResult('LOCATION');
				$query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
				$query_split->parse($page,$location_sql);
				if ($query_split->queryRows > 0){ 
					if ($search!=''){
						$query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','get':'SearchLocations','result':doTotalResult,params:'page=1','message':'" . INFO_SEARCHING_DATA . "'})";
					} else {	
						$query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'GetLocations','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(TEXT_LOADING_DATA,'##PAGE_NO##') . "'})";
					}
				}
			}
			$location_query=tep_db_query($location_sql);
			$found=false;
			if (tep_db_num_rows($location_query)>0) $found=true;
			
			if($found){
				$template=getListTemplate();
				$icnt=1;
				while($location_result=tep_db_fetch_array($location_query)){
					$rep_array=array(	"ID"=>$location_result["location_id"],
										"TYPE"=>$this->type,
										"NAME"=>$location_result["location_name"],
										"DETAILS"=>$location_result["location_details"],
										"CONTACT_PERSON"=>$location_result["location_contact_person"],
										"IMAGE_PATH"=>DIR_WS_IMAGES,
										"STATUS"=>'',
										"UPDATE_RESULT"=>'doDisplayResult',
										"UPDATE_DATA"=>TEXT_UPDATE_DATA,
										"ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
										"ROW_CLICK_GET"=>'Info',
										"FIRST_MENU_DISPLAY"=>""
									);
					echo mergeTemplate($rep_array,$template);
					$icnt++;
				}
				if (!isset($jsData->VARS["Page"])){
					$jsData->VARS["NUclearType"][]=$this->type;
				} 
			}else{
				echo TEXT_LOCATION_NOT_FOUND;
			}
			$jsData->VARS['extraParams']=array('page'=>$page,'search'=>$search);
			return $found;			
		}
		function doInfo($location_id=0){
			global $FSESSION,$FREQUEST,$jsData;
			if ($location_id<=0) $location_id=$FREQUEST->getvalue("rID","int",0);
			$location_query = tep_db_query("select location_seats, location_details,location_contact_person,location_equipment from ".TABLE_EVENTS_LOCATIONS." where location_id='".(int)$location_id."'");
			if (tep_db_num_rows($location_query)>0){
				$location_result=tep_db_fetch_array($location_query);
				$template=getInfoTemplate($location_id);
				$rep_array=array(	"SEATS_KEY"=>'<b>'.TEXT_LOCATION_MAX_SEATS . '</b>',
									"SEATS_DATA"=>'&nbsp;&nbsp;' . $location_result["location_seats"],
									"TYPE"=>$this->type,
									"EQUIP_KEY"=>'<b>'.TEXT_EQUIPMENT_NAME . '</b>',
									"EQUIP_DATA"=>$location_result["location_equipment"],
									"CONTACT_PERSON_KEY"=>'<b>'.TEXT_LOCATION_CONTACT . '</b>',
									"CONTACT_PERSON_DATA"=>$location_result["location_contact_person"],
									"DETAILS"=>$location_result['location_details'],
									"ID"=>$location_result["manufacturer_id"]
								);
				echo mergeTemplate($rep_array,$template);
			} else {
				echo 'Err:' . TEXT_LOCATION_NOT_FOUND;
			}
		}
		function doDelete(){
			global $FREQUEST,$jsData;
			$location_id=$FREQUEST->postvalue('location_id','int',0);
			$last_flag=$FREQUEST->postvalue('lflag','int',0);
			$page=$FREQUEST->postvalue('page','int',0);
		
			if ($location_id>0){
                $jsData->VARS['doFunc']=array('type'=>'loc','data'=>'removeSearchValue');
				tep_db_query("DELETE from " . TABLE_EVENTS_LOCATIONS . " where location_id='".(int)$location_id."'");			
				if ($last_flag==1 && $page>1){
					$page=$page-1;
					$FREQUEST->setvalue('page',$page,'GET');
				}
				$this->doGetLocations();
				$jsData->VARS["displayMessage"]=array('text'=>TEXT_EVENT_DELETE_SUCCESS);
				tep_reset_seo_cache('location');
			} else {
				echo "Err:" . TEXT_LOCATION_NOT_DELETED;
			}
			
		}
		function doUpdateLocation(){
			global $FSESSION,$FREQUEST,$LANGUAGES,$jsData;
			$ID=$FREQUEST->postvalue("location_id","int",-1);
			$insert=true;
			if ($ID>0) $insert=false;

			$sql_array=array();
			$location_name=$FREQUEST->postvalue('location_name');
			$location_details=tep_db_prepare_input($FREQUEST->postvalue('location_details'));
			$location_travel_directions=$FREQUEST->postvalue('location_travel_directions');
			
			$location_equipment=$FREQUEST->postvalue('location_equipments');
			$location_contact_person=$FREQUEST->postvalue('location_contact_person');
			$location_seats=$FREQUEST->postvalue('location_seats'); 			

			$sql_data = array(  'location_name' => tep_db_prepare_input($location_name),
								'location_details' =>$location_details,
								'location_travel_directions'=>tep_db_prepare_input($location_travel_directions),
								'location_equipment'=>tep_db_prepare_input($location_equipment),
								'location_contact_person'=>tep_db_prepare_input($location_contact_person),
								'location_seats'=>(int)$location_seats
							 );
			if ($insert){
				tep_db_perform(TABLE_EVENTS_LOCATIONS,$sql_data);
				$ID=tep_db_insert_id();
			} else {
				tep_db_perform(TABLE_EVENTS_LOCATIONS,$sql_data,"update","location_id=$ID");
			}
			if ($insert) {
				$this->doGetLocations();
			} else {
				$jsData->VARS["replace"]=array($this->type . $ID . "name"=>$location_name,$this->type. $ID ."bullet"=>$result,$this->type . $ID . "details"=>tep_db_input($location_details),$this->type . $ID . "person"=>$location_contact_person);
				$jsData->VARS["prevAction"]=array('id'=>$ID,'get'=>'Info','type'=>$this->type,'style'=>'boxRow');
				$this->doInfo($ID);
				$jsData->VARS["updateMenu"]=",normal,";
			}
		}
		function doEditLocation(){
			global $FSESSION,$FREQUEST,$jsData;
		
			$location_id=$FREQUEST->getvalue("rID","int",0);
			$edit_equipment = $FREQUEST->postvalue("edit_equipment");
			$update_equip = $FREQUEST->getvalue("updateEquip",'string','N');
			$delete_equip = $FREQUEST->getvalue("deleteEquip",'string','N');
			$equip_value = $FREQUEST->getvalue("equipValue",'string','');
			
			if(isset($edit_equipment) && $edit_equipment != '' && $update_equip=='Y' && equip_value!=''){
				$sql_data=array('equipment_name'=>$FREQUEST->postvalue('edit_equipment'));
				tep_db_perform(TABLE_EVENTS_LOCATIONS_OPTIONS,$sql_data,'update',' equipment_name="'.tep_db_input($equip_value).'"');
			}else if(isset($edit_equipment) && $edit_equipment != '' && $delete_equip == 'N'){
				$sql_data=array('equipment_name'=>$FREQUEST->postvalue('edit_equipment'));
				tep_db_perform(TABLE_EVENTS_LOCATIONS_OPTIONS,$sql_data);
			}else if(isset($edit_equipment) && $edit_equipment != '' && $delete_equip == 'Y'){
				tep_db_query("delete from ".TABLE_EVENTS_LOCATIONS_OPTIONS." where lcase(equipment_name)=lcase('".tep_db_input($edit_equipment)."')");
			}
			if($location_id>0){
				$location_query = tep_db_query("select location_name, location_details, location_travel_directions, location_equipment, location_contact_person, location_seats from ".TABLE_EVENTS_LOCATIONS." where location_id = '".(int)$location_id."'");
				$location_result=tep_db_fetch_array($location_query);
			}else {
				$location_result=array('location_id'=>0,'location_details'=>'','location_travel_directions'=>'','location_equipment'=>'','location_contact_person'=>'','location_seats'=>0);
			}
			$equipment_query=tep_db_query("SELECT equipment_name from " . TABLE_EVENTS_LOCATIONS_OPTIONS . ' order by equipment_name');
			while ($result=tep_db_fetch_array($equipment_query)){
				$equipment_array[]=array('id'=>$result['equipment_name'],'text'=>$result['equipment_name']);
				$equipment_modified_array[]=array('id'=>$result['equipment_name'],'text'=>$result['equipment_name']);
			}
			
			$panels=array('GENERAL','EQUIPMENT');
			if($edit_equipment!=''){
			$default_panel='EQUIPMENT';
			} else{
			$default_panel='GENERAL';
			}
			$location=new objectInfo($location_result);
			$jsData->VARS['storePage']=array('locationPanel'=>$default_panel);
			$jsData->VARS["updateMenu"]=",update,";
			$display_mode_html=' style="display:none"';	?>
			<table border="0" cellpadding="4" cellspacing="0" width="100%">
				<tr height="320px">
					<td valign="top" width="150">
						<table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
							<tr>
								<td valign="top">
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
									<tr height="7"><td class="tleft"></td><td></td><td class="tright"></td></tr>
								</table>
								</td>
							</tr>
							<tr>
								<td valign="top" class="mright">
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
									<tr>
										<td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel','type':'locationPanel'});" id="locationPanel<?php echo $panels[$icnt];?>menu">
											<?php 
												echo "<a href='javascript:void(0);'><div>" . constant("HEADING_" .$panels[$icnt]) . '</div></a>';
												$jsData->VARS["storePage"]["locationPanelMenus"][$panels[$icnt]]=array('text'=>constant("HEADING_" .$panels[$icnt]));
											?>
										</td>
									</tr>
								<?php } ?>
								</table>
								</td>
							</tr>
							<tr>
								<td valign="top">
								<table border="0" cellpadding="0" cellspacing="0" width="100%" class="bmiddle">
									<tr height="7">
										<td class="bleft"></td>
										<td></td>
										<td class="bright"></td>
									</tr>
								</table>
								</td>
							</tr>
						</table>
					</td>
					<td valign="top">
						<form action="events_locations.php" method="post" name="locationSubmit" enctype="multipart/form-data" id="locationSubmit">
							<input type="hidden" name="location_id" value="<?php echo tep_output_string($location_id);?>"/>
							<table border="0" cellpadding="5" cellspacing="0" width="100%">
								<tr height="30">
									<td class="headItemEdit" valign="top">
										<?php 
										if(file_exists(DIR_WS_IMAGES . 'template/gray_arrow_down.gif')){
											echo tep_image(DIR_WS_IMAGES . 'template/gray_arrow_down.gif','','','','align=absmiddle');
										}
										?>
										<span id="locationPanelTitle">
										<?php echo constant("HEADING_" . $default_panel);?>
										</span>
										<hr size="1" color="#D2D8E7"/>
									</td>
								</tr>
								<tr>
									<td valign="top">
										<table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
											<tr id="locationPanelGENERALview" style="display:<?php if($edit_equipment!=''){ echo 'none'; }  ?>">
												<td width="50%" valign="top">
													<table border="0" cellpadding="5" cellspacing="0" width="100%">
														<tr valign="top">
															<td class="main"><?php echo TEXT_LOCATION_NAME;?></td>
															<td class="main"><?php echo tep_draw_input_field('location_name',$location->location_name,'size=42 maxlength=100');?></td>
														</tr>
														<tr valign="top">
															<td class="main"><?php echo TEXT_LOCATION_MAX_SEATS.'&nbsp;&nbsp;:';?></td>
															<td class="main"><?php echo tep_draw_input_field('location_seats',$location->location_seats,'size=7 maxlength=6');?></td>
														</tr>
														<tr valign="top">
															<td class="main"><?php echo TEXT_LOCATION_CONTACT; ?></td>
															<td class="main"><?php	echo tep_draw_input_field('location_contact_person',$location->location_contact_person,'size=42 maxlength=64'); ?></td>
														</tr>	
														<tr valign="top">
															<td class="main"><?php echo TEXT_LOCATION_DETAILS; ?></td>
															<td class="main"><?php echo tep_draw_textarea_field('location_details','true','39','4',$location->location_details);?></td>
														</tr>					
													</table>
												</td>
												<td>
													<table border="0" cellspacing="2" cellpadding="4">
														<tr valign="top">
															<td class="main"><?php echo TEXT_LOCATION_EQUIPMENT; ?></td>
															<td class="main">
																<?php	$sel_str_array=split(",",$location->location_equipment);
																		$equipment_query=tep_db_query("SELECT equipment_name from " . TABLE_EVENTS_LOCATIONS_OPTIONS . ' order by equipment_name'); ?>
																<div id="check_equipment" class="inputNormal" style="width:240px; overflow:auto;border:solid 1px #CCCCCC; <?php echo ((tep_db_num_rows($equipment_query)<=0)?('height:20px;'):''); ?>">
																	<?php 
																		$equipment_arrays=explode(',',$location_result['location_equipment']);
																		$selected_option='';
																		while($equipment_array=tep_db_fetch_array($equipment_query)){
																			$check_flag="";
																			for($i=0;$i<sizeof($sel_str_array);$i++)
																				$val=$equipment_array['equipment_name'];
																				$check_option=((in_array($val,$equipment_arrays))?'true':'');
																				$selected_option.=((in_array($val,$equipment_arrays))?($val.','):'');
																				echo '<div id="chk_'.$val.'">'.tep_draw_checkbox_field('chk',$val,$check_option,'',' onClick="javascript:select_equipments(this);"').$val.'</div>';
																		} 
																//		echo tep_draw_hidden_field('check_boxes',$location->location_equipment); 
																		echo tep_draw_hidden_field('check_boxes',(substr($selected_option,0,strlen($selected_option)-1)));
																		?>
																</div>
															</td>					
														</tr>
														<tr valign="top">
															<td class="main"><?php echo TEXT_LOCATION_DIRECTIONS; ?></td>
															<td class="main"><?php echo tep_draw_textarea_field('location_travel_directions',true,'35','4',$location->location_travel_directions); ?></td>
														</tr>
													  </table>
												</td>
											</tr>
											<tr id="locationPanelEQUIPMENTview" style="display:<?php if(($edit_equipment=='') && ($default_panel=='GENERAL')){ echo 'none'; }  ?>">
												<td colspan=2 valign="top">
													<table border="0" cellpadding="0" cellspacing="0" width="100%">
														<tr>
															<td class="main" width="125" align="left">
															<?php echo TEXT_EQUIPMENT_NAME.'&nbsp;&nbsp;:'; ?></td>
															<td valign="top" align="left" width="90"><?php echo tep_draw_pull_down_menu('cbo_equipment',$equipment_modified_array,'',' size ="8" style="width:155" onChange="show_equipment()"').'<br><br>'.tep_draw_input_field('edit_equipment','','style="width:155" maxlength="64"'); ?></td>
															<td class="main" width="500" align="left">
																<table cellpadding="2" cellspacing="0" border="0" width="100%">
																	<tr>
																		<td>
																			<a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':<?php echo $location_id?>,'type':'<?php echo $this->type?>','get':'UpdateEquipment','result':doDisplayResults,'style':'boxRow','uptForm':'locationSubmit','customUpdate':create_equipment});">
																			<?php echo tep_image_button('button_insert.gif',IMAGE_INSERT_EQUIPMENT,' id="insert_btn"');?></a><br /><br />
																			<a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':<?php echo $location_id?>,'type':'<?php echo $this->type?>','get':'UpdateEquipment','result':doDisplayResults,'style':'boxRow','uptForm':'locationSubmit','customUpdate':update_equipment});">
																			<?php echo tep_image_button('button_update.gif',IMAGE_UPDATE_EQUIPMENT,' id="update_btn" '.((sizeof($equipment_modified_array)<=0)?(' style="display:none"'):''));?></a><br /><br />
																			<a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':<?php echo $location_id?>,'type':'<?php echo $this->type?>','get':'UpdateEquipment','result':doDisplayResults,'style':'boxRow','uptForm':'locationSubmit','customUpdate':delete_equipment});">
																			<?php echo tep_image_button('button_delete.gif',IMAGE_DELETE_EQUIPMENT,' id="delete_btn" '.((sizeof($equipment_modified_array)<=0)?' style="display:none"':''));?></a><br /><br />
																		</td>
																	</tr>
																</table>				  		
															</td>
														</tr>
													</table>
												</td>
											</tr>										
										</table>			
									</td>	
								</tr>
							</table>		
						</form>	
					</td>	
				</tr>
				<tr><td class="main" id="<?php echo $this->type . $location_id;?>message"></td></tr>
			</table>				
<?php	}
		function doEquipChanges(){
			global $FREQUEST,$currencies;
			if($FREQUEST->getvalue('mode')!=''){
				$equipment_mode=$FREQUEST->getvalue('mode');
				$equipment=$FREQUEST->postvalue('edit_equipment');
				echo $equipment_mode.'^^^'.$equipment.'^^^';
				switch($equipment_mode){
					case 'create':
						tep_db_query("insert into ".TABLE_EVENTS_LOCATIONS_OPTIONS." values ('{$equipment}')");
						break;
							
					case 'delete':
						tep_db_query("delete from ".TABLE_EVENTS_LOCATIONS_OPTIONS." where equipment_name='{$equipment}'");
						break;
						
					case 'update':
						if($FREQUEST->getvalue('selectedOption')){
						$selected_equipment=$FREQUEST->postvalue('select_equipment');
						echo $selected_equipment;
						tep_db_query("update ".TABLE_EVENTS_LOCATIONS_OPTIONS." set equipment_name='{$equipment}' where equipment_name='{$selected_equipment}'");
						}
						break;
				}
			}
		}
		function doDeleteLocation(){
			global $FREQUEST,$jsData,$FSESSION;
			$location_id=$FREQUEST->getvalue('rID','int',0);
			$delete_message='<p><span class="smallText">' . TEXT_DELETE_INTRO . '</span>'; ?>
			<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="events_locations.php" method="post" enctype="application/x-www-form-urlencoded">
				<input type="hidden" name="location_id" value="<?php echo tep_output_string($location_id);?>"/>
				<table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="main" id="<?php echo $this->type . $location_id;?>message"></td>
					</tr>
					<tr><td class="main"><?php echo $delete_message;?></td></tr>
					<tr height="40">
						<td class="main" style="vertical-align:bottom">
							<p>
							<a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $location_id;?>,type:'<?php echo $this->type;?>',get:'Delete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:''})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
							<a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $location_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
						</td>
					</tr>
					<tr><td><hr/></td></tr>
					<tr>
						<td valign="top" class="categoryInfo"><?php echo $this->doInfo($item_id);?></td>
					</tr>
				</table>
			</form>
<?php		$jsData->VARS["updateMenu"]="";
		}
		function doGetLocations(){
			global $FREQUEST,$jsData;

			$template=getListTemplate();
			$rep_array=array(	"TYPE"=>$this->type,
								"ID"=>-1,
								"NAME"=>HEADING_NEW_TITLE,
								"DETAILS"=>'',
								"CONTACT_PERSON"=>'',
								"IMAGE_PATH"=>DIR_WS_IMAGES,
								"STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
								"UPDATE_RESULT"=>'doTotalResult',
								"UPDATE_DATA"=>TEXT_UPDATE_DATA,
								"ROW_CLICK_GET"=>'EditLocation',
								"FIRST_MENU_DISPLAY"=>"display:none"
							);	?>
			<div class="main" id="prd-1message"></div>
			<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
				<tr><td><div><?php 	echo mergeTemplate($rep_array,$template); ?></div></td></tr>
				<tr>	
					<td>	
						<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
							<tr>
								<td>
									<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
										<tr class="dataTableHeadingRow">
											<td class="main" width="35%">
												<b><?php echo TABLE_HEADING_NAME;?></b>
											</td>
											<td class="main" width="35%">
												<b><?php echo TABLE_HEADING_DETAILS;?></b>
											</td>
											<td class="main" width="30%">
												<b><?php echo TABLE_HEADING_CONTACT;?></b>
											</td>
										</tr>
									</table>		
								</td>
							</tr>
							<tr>
								<td>
									<div align="center"><?php $this->doLocationsList();?></div>
								</td>
							</tr>		
						</table>	
					</td>
				</tr>	
			</table>
			<?php if (is_object($this->splitResult)){?>
				<table border="0" width="100%" height="100%"><?php echo $this->splitResult->pgLinksCombo(); ?></table>
			<?php }
		}
		function doSearchLocations(){
			global $FREQUEST,$jsData;
			$search=$FREQUEST->getvalue('search');
			$search_db=tep_db_input($search);	?>
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr><td class="main"><b><?php echo TEXT_SEARCH_RESULTS;?></b></td></tr>
				<tr height="10">
					<td class="main"></td>
				</tr>
				<tr>
					<td>
						<table border="0" cellpadding="2" cellspacing="0" width="100%" id="locTable">
							<?php $found=$this->doLocationsList(" where  (location_name like '%" . $search_db . "%' OR (location_contact_person like '%". $search_db ."%') )",$search_db); ?>
						</table>
					</td>
				</tr>
				<tr height="10">
					<td class="main"></td>
				</tr>
				<tr>
					<td class="main">
						<a href="javascript:void(0);" onClick="javascript:doLocationsSearch('reset');"><?php echo tep_image_button('button_reset.gif',IMAGE_RESET);?></a>
					</td>
				</tr>
			</table>
<?php		$jsData->VARS["NUclearType"]="loc";
		}
	}	
	function getListTemplate(){
		ob_start();
		getTemplateRowTop();
?>
					<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
						<tr>
							<td>
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="1%" id="##TYPE####ID##bullet">##STATUS##</td>
									<td width="34%"class="main" onclick="javascript:doDisplayAction({'id':##ID##,'get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##name">##NAME##</td>
									<td width="36%" class="main" onclick="javascript:doDisplayAction({'id':##ID##,'get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##details">##DETAILS##</td>
									<td width="19%" class="main" onclick="javascript:doDisplayAction({'id':##ID##,'get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##person">##CONTACT_PERSON##</td>
									<td  width="10%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
										<span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
										<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'EditLocation','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="<?php echo IMAGE_EDIT_LOCATION;?>"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'DeleteLocation','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="<?php echo IMAGE_DELETE_LOCATION;?>"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										</span>
										<span id="##TYPE####ID##mupdate" style="display:none">
										<a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':##ID##,'get':'UpdateLocation','type':'##TYPE##','style':'boxRow','validate':locationValidate,'uptForm':'locationSubmit','customUpdate':doLocationUpdate,'result':##UPDATE_RESULT##,'message1':'##UPDATE_DATA##'});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onclick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
										</span>
									</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
<?php	getTemplateRowBottom();
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getInfoTemplate(){
		ob_start();	?>
		<table border="0" cellpadding="4" cellspacing="0" width="100%" >
			<div class="hLineGray"></div>
			<tr>
				<td valign="top" align="left">
					<table border="0" cellpadding="3" cellspacing="0" style="margin:20 20 0 50;">
						<tr>
							<td class="main">##EQUIP_KEY##</td><td><b>:</b></td><td class="main">##EQUIP_DATA##</td>
						</tr>
						<tr>
							<td class="main">##CONTACT_PERSON_KEY##</td><td><b>:</b></td><td class="main">##CONTACT_PERSON_DATA##</td>
						</tr>
						<tr>
							<td class="main">##SEATS_KEY##</td><td><b>:</b></td><td class="main">##SEATS_DATA##</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr height="10"><td>&nbsp;</td></tr>
		</table>
<?php	$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}	?>