<?php
/*
osCommRes, Services Online
http://www.oscommres.com

Copyright (c) 2005 osCommRes

Released under the GNU General Public License

Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
	require('includes/application_top.php');
	require(DIR_WS_INCLUDES . '/tweak/general.php');

	frequire(array('services_general.php','services_tree.php'),RFUNC);
	frequire($FSESSION->language.'/services_create.php',RLANG);
	frequire('currencies.php',RCLA);
	
	$currencies = new currencies();
	
	$UPLOAD_FS_DIR = DIR_FS_CATALOG_IMAGES;
	$LANGUAGES=tep_get_languages();
	$CAT_TREE=array();

	$SERVICES=instance::getTweakObject('display.servicesMainpage');
	$SERVICES->pagination=true;
	checkAJAX('SERVICES');
	
	$taxRates=array();
	$tax_class_query = tep_db_query("SELECT tax_class_id, tax_class_title from " . TABLE_TAX_CLASS . " order by tax_class_title");
	while ($tax_class = tep_db_fetch_array($tax_class_query)) {
		$taxRates[$tax_class['tax_class_id']] = tep_get_tax_rate_value($tax_class['tax_class_id']);
	}
	
	$FSESSION->set("AJX_ENCRYPT_KEY",rand(1,10));
	
	$jsData->VARS["page"]=array('lastAction'=>false,'opened'=>array(),'locked'=>false,'NUlanguages'=>tep_get_languages(),'imgPath'=>DIR_WS_IMAGES,'taxRates'=>$taxRates,"menu"=>array(),'editorLoaded'=>false,'link'=>tep_href_link('services_mainpage.php'),'NUeditorControls'=>array(),'searchMode'=>false,'AJX_KEY'=>$FSESSION->AJX_ENCRYPT_KEY);
	$jsData->VARS["page"]["template"]=array(
  										"CAT_MOVING"=>TEXT_CATEGORY_MOVING,
  										"ERR_LESS_END_DATE"=>ERR_LESS_END_DATE,
										"TEXT_ERR_NO_RECURRING_TYPE"=>TEXT_ERR_NO_RECURRING_TYPE,
										"TEXT_ERR_DAILY_DAYS"=>tep_db_prepare_input(TEXT_ERR_DAILY_DAYS),
										"TEXT_ERR_WEEKLY_WEEKS"=>tep_db_prepare_input(TEXT_ERR_WEEKLY_WEEKS),
										"TEXT_ERR_WEEKLY_DAYS"=>tep_db_prepare_input(TEXT_ERR_WEEKLY_DAYS),
										"TEXT_ERR_MONTHLY_DAYS"=>tep_db_prepare_input(TEXT_ERR_MONTHLY_DAYS),
										"TEXT_ERR_MONTHLY_MONTHS"=>tep_db_prepare_input(TEXT_ERR_MONTHLY_MONTHS),
										"TEXT_ERR_MONTHLY_WEEKMONTHS"=>tep_db_prepare_input(TEXT_ERR_MONTHLY_WEEKMONTHS),
										"TEXT_ERR_YEARLY_MONTHDAYS"=>tep_db_prepare_input(TEXT_ERR_YEARLY_MONTHDAYS),
										"ERR_LOADING_PRICE"=>ERR_LOADING_PRICE,
										"ERR_NO_BOOK_SDATE"=>ERR_NO_BOOK_SDATE,
										"ERR_NO_BOOK_EDATE"=>ERR_NO_BOOK_EDATE,
										"ERR_LOADING_SDATE"=>ERR_LOADING_SDATE,
										"ERR_LOADING_EDATE"=>ERR_LOADING_EDATE,
										"EVE_ERR_BOOKING_EXISTS"=>TEXT_DATE_ALREADY_EXISTS,
										"IN_STOCK"=>TEXT_IN_STOCK,
										"OUT_STOCK"=>TEXT_OUT_STOCK,
  										"UPDATE_IMAGE"=>TEXT_UPDATE_IMAGE,
  										"UPDATE_DATA"=>TEXT_UPDATE_DATA,
										"INFO_SEARCHING_DATA"=>INFO_SEARCHING_DATA,
										"INFO_LOADING_DATA"=>INFO_LOADING_DATA,
										"TEXT_LOADING"=>TEXT_LOADING,
										"EVENTS_DATE_FORMAT"=>EVENTS_DATE_FORMAT,
										"SER_ERR_EMPTY_ALL_SERVICES_NAME"=>TEXT_ERR_EMPTY_ALL_SERVICES_NAME,
										"SER_ERR_SELECT_CAT"=>TEXT_ERR_SELECT_CATEGORY,
										"SER_ERR_CURRENT_CATEGORY"=>TEXT_ERR_CURRENT_CATEGORY,
										"SER_INVALID_DATE_AVAILABLE"=>sprintf(addslashes(TEXT_INVALID_DATE_AVAILABLE),EVENTS_DATE_FORMAT),
										"SER_SERVICES_BOOKING_MIN_MAX"=>TEXT_SERVICES_BOOKING_MIN_MAX,
										"ERR_BOOKING_DAY_MIN"=>ERR_BOOKING_DAY_MIN,
										"ERR_BOOKING_DAY_MAX"=>ERR_BOOKING_DAY_MAX,
										"ERR_BOOKING_GRANULAR_GREATER_HOUR"=>ERR_BOOKING_GRANULAR_GREATER_HOUR,
										"ERR_BOOKING_GRANULAR_GREATER_MIN"=>ERR_BOOKING_GRANULAR_GREATER_MIN,
										"SER_ERR_SELECT_ANYONE_TYPE"=>TEXT_ERR_SELECT_ANYONE_TYPE,
										"ERR_BOOKING_GRANULAR"=>ERR_BOOKING_GRANULAR,
										"ERR_BOOKING_MINS_MIN"=>ERR_BOOKING_MINS_MIN,
										"ERR_BOOKING_MINS_MIN_MAX"=>ERR_BOOKING_MINS_MIN_MAX,
										"ERR_SELECT_RESOURCE_NAME"=>ERR_SELECT_RESOURCE_NAME,
										"ERR_QUANTITY"=>ERR_QUANTITY,
										"ERR_PENDING_PERIOD"=>ERR_PENDING_PERIOD,
										"ERR_RENEWAL_START"=>ERR_RENEWAL_START,
										"ERR_RENEWAL_END"=>ERR_RENEWAL_END,
										"ERR_IMAGE_UPLOAD_TYPE"=>ERR_IMAGE_UPLOAD_TYPE,
										"TEXT_MINS"=>TEXT_MINS,
										"TEXT_HOURS"=>TEXT_HOURS,
										"TEXT_DAYS"=>TEXT_DAYS
  									);
	$jsData->VARS["page"]["NUmenuGroups"]=array("normal","update");
	
	/*$category_id=$FREQUEST->getvalue("mPath","int",0);
	if ($category_id==0){
		$category_id=$FREQUEST->getvalue("cID","int",0);
	}
	if ($category_id>0){
		$jsData->FUNCS[]="doDisplayAction({'id':" . $category_id . ",get:'catInfoAndServices','result':doDisplayResult,'type':'cat','params':'cID=" . $category_id . "','style':'boxLevel1'})";
	}*/
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<style>
.stl{
	/*body {background-color: #CEE7A3;*/ 
	scrollbar-shadow-color: #CEE7A3;
	scrollbar-highlight-color: #CEE7A3;
	scrollbar-face-color: #CEE7A3;
	scrollbar-3dlight-color: #CEE7A3;
	scrollbar-darkshadow-color: #CEE7A3;
	scrollbar-track-color: #CEE7A3;
	scrollbar-arrow-color: #CEE7A3;}
}
</style>
<script language="javascript" src="includes/general.js"></script>
<script language="javascript" src="includes/http.js"></script>
<script language="javascript" src="includes/menu.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script type="text/javascript" src="includes/aim.js"></script>
<?php
	require(DIR_WS_INCLUDES . 'tweak/' . HTML_EDITOR . '.php');
	textEditorLoadJS();
?>
<script type="text/javascript" src="includes/tweak/js/ajax.js"></script>
<script type="text/javascript" src="includes/tweak/js/services_mainpage.js"></script>
</head>
<body marginwidth="0"  marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onLoad="javascript:pageLoaded();">
<div id="spiffycalendar" class="text"></div>
<!-- header //-->
<?php   
	$file_name=FILENAME_PRODUCTS_MAINPAGE;	
	require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr height="20" id="messageBoard" style="display:none">
		<td id="messageBoardText">
		</td>
	</tr>
	<tr>
		<td valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">
			<tr class="dataTableHeadingRow">
				<td valign="top">
				<table border="0" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td class="main">
							<b><?php echo TABLE_HEADING_CATEGORIES_SERVICES;?></b>
						</td>
						<td width="60">
						<?php
							$popup=array(
										array("img"=>'icon_ascending.gif',"txt"=>TEXT_ASCENDING,"jlink"=>"doPageAction({'id':-1,'type':'cat','get':'sort','result':doTotalResult,'params':'mode=A','message':'". INFO_SORTING_DATA."'})"),
										array("img"=>'icon_descending.gif',"txt"=>TEXT_DESCENDING,"jlink"=>"doPageAction({'id':-1,'type':'cat','get':'sort','result':doTotalResult,'params':'mode=D','message':'". INFO_SORTING_DATA."'})"),
										);
							for ($icnt=0,$n=count($popup);$icnt<$n;$icnt++){
								echo '<a style="color:#000000;text-decoration:none" href="javascript:void(0)" onClick="javascript:return ' . $popup[$icnt]["jlink"] . ';">' . tep_image(DIR_WS_IMAGES . "template/" .$popup[$icnt]["img"],$popup[$icnt]["txt"],'','','align=absmiddle') . '</a>&nbsp;';
							}
						?>
						</td>
						<td width="250" class="smallText">
							<?php echo TEXT_SEARCH . tep_draw_input_field('ssearch','','onkeyup="javascript:check_key(event)"').'&nbsp;<a href="javascript:void(0)" onClick="javascript:doServiceSearch(\'\');">' . tep_image(DIR_WS_IMAGES . 'icons/bar_search.gif',IMAGE_SEARCH,'','','align=absmiddle') . '</a>';?>
						</td>
					</tr>
				</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td class="main" id="cat-1message">
		</td>
	</tr>
	<tr>
		<td id="cattotalContentResult">
			<?php
			 $SERVICES->doCategories(0);?>
		</td>
	</tr>
	<tr>
		<td>
		<table border="0" width="100%" cellpadding="5" cellspacing="0">
		<tr style="height:25"><td></td></tr>													
		<tr>
			<td>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr class="product_title"><td colspan="2"><?php echo '<b>' . TABLE_SERVICE . '</b>'; ?></td></tr>										
				<tr height="7"></tr>									
				<tr>
					<td width="7%">
					<table border="0" cellpadding="0" cellspacing="0">
						<tr><td><?php echo tep_image(DIR_WS_IMAGES . 'services.png', Services);?></td></tr>
					</table>
					</td>
					<td width="93%" valign="top">
                    <?php
                        if($FREQUEST->getvalue('create_category') == 'new')
                        { ?>
                            <script type="text/javascript">
                            setTimeout("do_category()",0);
                            </script>

                          <?php }

                       if($FREQUEST->getvalue('create_service') == 'new')
                        { ?>
                            <script type="text/javascript">
                            setTimeout("new_service()",0);
                            
                            </script>

                          <?php } ?>
						<table width="100%" class="info_content">
							<tr><td class="info_content"><?php echo '<a id="link_categories" href="javascript:do_category();">' . IMAGE_NEW_CATEGORY . '</a>'; ?></td></tr>
							<tr><td class="info_content"><?php echo '<a id="link_product" href="javascript:new_service();">' . IMAGE_NEW_SERVICE . '</a>';?></td></tr>
						</table>
					</td>
				</tr>	
			  </table>
			 </td>								
		  </tr>																
		  <tr>
			<td>
				<table cellpadding="0" cellspacing="0" width="100%" border="0">
					<tr class="product_title">
						<td colspan="2"><?php echo '<b>' . TABLE_RESOURCE . '</b>'; ?></td>
					</tr>	
					
					<tr height="7"></tr>
					<tr>
						<td width="7%"><?php echo tep_image(DIR_WS_IMAGES . 'resources.png', Resources,'58','70');?></td>		
						<td width="93%" valign="top">
							<table  class="info_content">
								<tr><td class="info_content"><?php echo '<a href="' . tep_href_link(FILENAME_RESOURCES,'top=1') . '">' . RESOURCES . '</a>'; ?></td></tr>
								<tr><td class="info_content"><?php echo '<a href="' . tep_href_link(FILENAME_SERVICES_LOCATIONS,'top=1') . '">' . LOCATIONS . '</a>'; ?></td></tr>
								<tr><td class="info_content"><?php echo '<a href="' . tep_href_link(FILENAME_SERVICES_VIWED,'top=1') . '">' . BEST_VIEWED_SERVICES. '</a>'; ?></td></tr>
						</td>
					</tr>
				</table>
			  </td>
			  <td height="5"></td>
			</tr>
			</table>
		 </td>
	</tr>
	<tr style="display:none">
		<td id="ajaxLoadInfo"><div style="padding:5px 0px 5px 20px" class="main"><?php echo TEXT_LOADING . '&nbsp;' . tep_image(DIR_WS_IMAGES . 'layout/ajax_load.gif');?></div></td>
	</tr>
	<tr style="display:none">
		<td id="previous_menu"></td>
	</tr>
	<tr>
		<td id="ajaxLoadImage" style="display:none">
			<?php echo tep_image(DIR_WS_IMAGES . 'layout/ajax_load.gif');?>
		</td>
	</tr>
	<?php drawUploadForm('services_mainpage.php',1);?>
	<div class="ajxMessageWindow" id="ajxLoad" style="display:none;width:400px;height:70px;"><span id="ajxLoadMessage">Loading...</span><br><?php echo tep_image(DIR_WS_IMAGES . 'layout/ajax_load.gif');?></div>
</table>
<!-- body_text_eof //-->
<!-- body_eof //-->
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php');?>
<script type="text/javascript">
function do_category()
{
doDisplayAction({'id':-1,'get':'CategoryEdit','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=-1'});
}

function new_service()
{
if(page.opened['cat'] && page.opened['cat'].id)
{
id=page.opened['cat'].id;

doDisplayAction({'id':-1,'get':'ServiceEdit','result':doDisplayResult,'style':'boxRow','type':'ser','params':'sID=-1&cID='+id,'backupMenu':true});
}
else
{
doDisplayAction({'id':1,'get':'CatInfoAndServices','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=1&new=new_service'});
}

}
</script>
