<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
// Set flag that this is a parent file
	defined('_FEXEC') or die();
	class productsAjax{
		function doImageUpload(){
			global $FREQUEST,$UPLOAD_FS_DIR,$js_string;
			if(!is_writable($UPLOAD_FS_DIR) || !is_writable($UPLOAD_FS_DIR)) {
				echo "Err:" .sprintf(WARNING_IMAGE_DIRECTORY_WRITEABLE,$upload_fs_dir);
				return;
			}
			$image_list_str=$FREQUEST->postvalue('image_list');
			if ($image_list_str=="") {
				echo "Err:" . IMAGE_INPUTS_CANNOT_FOUND;
				return;
			}
			$image_list=split(",",$image_list_str);
			$result=array();
			for ($icnt=0,$n=count($image_list);$icnt<$n;$icnt++){
				$key_name=str_replace("_file","",$image_list[$icnt]);
				if ($FREQUEST->getPostFile($image_list[$icnt])==""){
					$result[$key_name]='';
					continue;
				}
				$image=new upload($image_list[$icnt]);
				$image->set_destination($UPLOAD_FS_DIR);
				if ($image->parse() && $image->save()) $result[$key_name]=$image->filename;
				else break;
			}
			if ($icnt<$n){
				echo "Err:" . sprintf(IMAGE_FAILED_TO_UPLOAD,$image_list[$icnt]);
			} else {
				$js_string='';
				json_string($result);
				echo $js_string;
				$JS_VARS=array();
			}
		}
		function doCategoriesList($parent_id=0,$level=1){
			global $FSESSION,$PAGE,$SEARCH_DATA;
			
			$search_criteria='';
			if ($SEARCH_DATA!='') $search_criteria=" and categories_name like '%$SEARCH_DATA%' ";

			$categories_sql = "select c.subscription_categories_id as categories_id, cd.subscription_categories_name as categories_name, c.parent_id from " . TABLE_SUBSCRIPTION_CATEGORIES . " c, " . TABLE_SUBSCRIPTION_CATEGORIES_DESCRIPTION . " cd where c.subscription_categories_id = cd.subscription_categories_id and cd.language_id = '" . (int)$FSESSION->languages_id . "' and c.parent_id = '" . (int)$parent_id . "'  order by c.sort_order, cd.subscription_categories_name";

			$categories_query = tep_db_query($categories_sql);		
			if (tep_db_num_rows($categories_query)<=0) return;
			$template=getCategoriesListTemplate();
			while($categories_result=tep_db_fetch_array($categories_query)){
				$rep_array=array(	"PAD_LEFT"=>$level*10,
									"CAT_ID"=>$categories_result["categories_id"],
									"CAT_NAME"=>$categories_result["categories_name"],
									"BULLET_IMAGE"=>tep_image(DIR_WS_IMAGES . 'layout/bullet_close.gif'),
									"IMAGE_PATH"=>DIR_WS_IMAGES
								);
				echo tep_replace_simple_template($rep_array,$template);
				$this->doCategoriesList($categories_result["categories_id"],$level+1);
			}
		}
		function doCategoryInfo($category_id){
			global $FSESSION;
			$categorizing_sql="select c.parent_id,date_format(c.date_added,'%Y-%m-%d') as date_added,date_format(c.last_modified,'%Y-%m-%d') as last_modified,cd.subscription_categories_id,cd.subscription_categories_description as categories_description,cd.subscription_categories_name,c.sort_order,c.subscription_categories_image as image from ".TABLE_SUBSCRIPTION_CATEGORIES ." c,".TABLE_SUBSCRIPTION_CATEGORIES_DESCRIPTION." cd where c.subscription_categories_id=cd.subscription_categories_id and cd.language_id='".(int)$FSESSION->languages_id."' and c.subscription_categories_id='".(int)$category_id."'";

			$category_query=tep_db_query($categorizing_sql);

			if (tep_db_num_rows($category_query)>0){
				$category_result=tep_db_fetch_array($category_query);
				
				$template=getCategoryInfoTemplate();
				$rep_array=array(	"CAT_DATE_ADDED"=>TEXT_INFO_DATE_ADDED . ': ' . format_date($category_result["date_added"]),
									"CAT_DATE_MODIFIED"=>TEXT_INFO_DATE_MODIFIED . ': ' . format_date($category_result["last_modified"]),
									"CAT_DESCRIPTION"=>$category_result["categories_description"],
									"CAT_IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
									"CAT_IMAGE"=>tep_image(DIR_WS_CATALOG_IMAGES . $category_result["image"],$cateory_result["events_name"],SMALL_IMAGE_WIDTH),
								);
				echo tep_replace_simple_template($rep_array,$template);
			}
		}
		function doCategoryUpdate(){
			global $FREQUEST,$SERVER_DATE,$LANGUAGES,$JS_VARS,$FSESSION,$COMMANDS;
			$update_array=array();
			$category_id=$FREQUEST->postvalue('category_id','int',0);
			$update_array['categories_image']=$FREQUEST->postvalue('categories_image');
			$cat_lang=array();
			if ($category_id>0){
				$update_array["last_modified"]=$SERVER_DATE;
				tep_db_perform(TABLE_CATEGORIES,$update_array,"update","categories_id="  . (int)$category_id);
				$lang_query=tep_db_query("SELECT language_id from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id=" . (int)$category_id);
				while($lang_result=tep_db_fetch_array($lang_query)) $cat_lang[$lang_result["language_id"]]=1;
			} else {
				$sort_query=tep_db_query("select max(sort_order) as sort_order from ".TABLE_CATEGORIES);
				$sort_order=1;
				if (tep_db_num_rows($sort_query)>0) {
					$tmp_result=tep_db_fetch_array($sort_query);
					$sort_order=$tmp_result["sort_order"];
				}
				$update_array["parent_id"]=$FREQUEST->postvalue('parent_id','int',0);
				$update_array["sort_order"]=$sort_order;
				$update_array["date_added"]=$SERVER_DATE;
				tep_db_perform(TABLE_CATEGORIES,$update_array);
				$insert_id=tep_db_insert_id();
			}
			$cat_name=$FREQUEST->getRefValue('categories_name','POST');

			$cat_title=$FREQUEST->getRefValue('categories_heading_title','POST');
			$cat_desc=$FREQUEST->getRefValue('categories_description','POST');
			for ($icnt=0,$n=count($LANGUAGES);$icnt<$n;$icnt++){
				$lang_id=$LANGUAGES[$icnt]['id'];
				$update_array=array("categories_name"=>tep_db_prepare_input($cat_name[$lang_id]),
									"categories_heading_title"=>tep_db_prepare_input($cat_title[$lang_id]),
									"categories_description"=>tep_db_prepare_input($cat_desc[$lang_id]),
									);
				if ($category_id>0 && isset($cat_lang[$LANGUAGES[$icnt]['id']])){
					tep_db_perform(TABLE_CATEGORIES_DESCRIPTION,$update_array,"update","categories_id=" . (int)$category_id . " and language_id=" . (int)$lang_id);
				} else {
					$update_array["language_id"]=$lang_id;
					$update_array["categories_id"]=$insert_id;
					tep_db_perform(TABLE_CATEGORIES_DESCRIPTION,$update_array);
				}
			}
			if ($category_id<=0) {
				$category_id=$insert_id;
				pageFirstContent();
			} else {
				$JS_VARS["replace"]=array("title"=>$cat_title[$FSESSION->languages_id]);
				$this->doCatInfoAndEvents($category_id,true);
			}
			$JS_VARS["prevAction"]=array('id'=>$category_id,'get'=>'CatInfoAndEvents','type'=>'cat','style'=>'boxLevel1');
		}
		function doCategoryDelete(){
			global $FREQUEST,$JS_VARS;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			tep_remove_category($category_id);
			$JS_VARS["deleteRow"]=array("id"=>$category_id,"type"=>"cat");
			tep_reset_seo_cache('products');
		}
		function doCategoryMove(){
			global $FREQUEST,$JS_VARS;
			$category_id=$FREQUEST->postvalue('category_id','int',0);
			$new_parent_id=$FREQUEST->postvalue('new_parent_id','int',0);
			if ($category_id<=0) {
				echo 'Err:' .ERROR_CANNOT_FIND_CATEGORY;
				return;	
			}
			$path = explode('_', tep_get_generated_category_path_ids($new_parent_id));
			if (in_array($category_id, $path)) {
				echo 'Err:' . '<font color="red">' . ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT . '</font>';
				return;
			}
			tep_db_query("update " . TABLE_CATEGORIES . " set parent_id = " . (int)$new_parent_id . ", last_modified = now() where categories_id = " . (int)$category_id);
			pageFirstContent();
		}
		function doEventsList($where=''){
			global $FSESSION;
			$prd_where="";
			$prd_order=" ASC ";
			if (substr($show_order,1,1)=="V") $prd_where.=" AND s.subscription_status=1 ";
			$products_sql="select pd.subscription_name as subscriptions_name,pd.subscription_id as subscriptions_id,s.subscription_status,s.subscription_type  from " . TABLE_SUBSCRIPTIONS_DESCRIPTION . " pd, " . TABLE_SUBSCRIPTION_TO_SUBSCRIPTION_CATEGORIES . " pcd, " . TABLE_SUBSCRIPTIONS ." s  where " . $where . " and pd.subscription_id=pcd.subscription_id and s.subscription_id=pcd.subscription_id and pd.language_id = '" . (int)$FSESSION->languages_id . "'" .$prd_where . " ORDER BY s.subscriptions_sort_order " . $prd_order;
			$products_query=tep_db_query($products_sql);
			$template=getProductsListTemplate();
			while($products_result=tep_db_fetch_array($products_query)){
				$rep_array=array(	"PRD_ID"=>$products_result["subscriptions_id"],
									"PRD_NAME"=>$products_result["subscriptions_name"],
									"IMAGE_PATH"=>DIR_WS_IMAGES,
									"PRD_STATUS"=>tep_image(DIR_WS_IMAGES . 'template/' . ($products_result["subscription_status"]==1?'icon_active.gif':'icon_inactive.gif')),
								);
				echo tep_replace_simple_template($rep_array,$template);
			}			
		}
		function doEventInfo(){
			global $FSESSION,$FREQUEST,$currencies;
			$event_id=$FREQUEST->getvalue("eID","int",0);
			$subscription_sql="select sd.subscription_id,sd.subscription_name,sd.subscription_description,s.subscription_costs,date_format(s.subscription_date_added,'%Y-%m-%d') as subscription_date_added,date_format(s.subscription_last_modified,'%Y-%m-%d') as subscription_last_modified,s.subscription_status,s.subscription_image,s.subscriptions_sort_order from subscriptions s, subscriptions_description sd where s.subscription_id = '" . (int)$event_id . "' and sd.subscription_id = s.subscription_id and sd.language_id = '" . (int)$FSESSION->languages_id . "'";
			$product_query = tep_db_query($subscription_sql);
			if (tep_db_num_rows($product_query)>0){
				$product_result=tep_db_fetch_array($product_query);
				$template=getProductInfoTemplate($event_id);
				$rep_array=array(	//"PRD_QTY"=>HEADING_QUANTITY . ':' . $product_result["products_quantity"],
									"PRD_PRICE"=>HEADING_PRICE . ':' . $currencies->format(tep_add_tax($product_result["subscription_costs"],tep_get_tax_rate($product_result["events_tax_class_id"]))),
									"PRD_DATE_ADDED"=>TEXT_INFO_DATE_ADDED . ' : ' . format_date($product_result["subscription_date_added"]),
									"PRD_DATE_MODIFIED"=>TEXT_INFO_DATE_MODIFIED . ' : ' . ($product_result["subscription_date_modified"]=='' || $product_result["subscription_date_modified"]=="0000-00-00"?format_date($product_result["subscription_date_added"]):format_date($product_result["subscription_date_modified"])),
									"PRD_DESCRIPTION"=>$product_result["subscription_description"],
									"PRD_ID"=>$product_result["subscription_id"],
									"PRD_IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
									"PRD_IMAGE"=>tep_product_small_image($product_result["subscription_image"],$product_result["subscription_title"])
								);
				echo tep_replace_simple_template($rep_array,$template);
			}
		}
		function doCatInfoAndEvents($category_id=0,$include_menu=false){
			global $FREQUEST;
			if ($category_id==0) $category_id=$FREQUEST->getvalue("cID","int",0);	?>
			<table border="0" cellpadding="1" cellspacing="0" width="100%">
				<tr>
					<td valign="top" style="border-top:solid 1px #C6CEEA;height:5px" class="smallText">&nbsp;</td>
				</tr>
				<tr>
					<td valign="top" class="categoryInfo">
						<?php 
							echo $this->doCategoryInfo($category_id); 
							echo $this->doCategoryEvents($category_id);
						?>
					</td>
				</tr>
				<?php if ($include_menu) { ?>
				<tr style="display:none">
					<td id="replace_menu">
					<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':<?php echo $category_id;?>,'get':'CategoryEdit','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=<?php echo $category_id;?>'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_save_green.gif"/></a>
					<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
					<a href="javascript:void(0)" onClick="javascript:return doDisplayAction();"><img src="<?php echo DIR_WS_IMAGES;?>/template/delete_blue.gif"/></a>
					<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
					<a href="javascript:void(0)" onClick="javascript:return doDisplayAction();"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_move.gif"/></a>
					</td>
				</tr>
				<?php } ?>
			</table>
<?php
		}
		function doCategoryEvents($category_id){
?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr height="20">
				<td class="bulletTitle" valign="middle">
					<?php echo tep_image(DIR_WS_IMAGES . 'layout/bullet1.gif','','','','align=absmiddle') . '&nbsp;' . TITLE_EVENTS;?>
				</td>
			</tr>
			<tr>
				<td style="padding-right:10px">
				<table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxLevel2">
					<tr height="4">
						<td class="topleft"></td>
						<td></td>
						<td class="topright"></td>
					</tr>
					<tr>
						<td width="4"></td>
						<td style="padding:5px">
						<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr>
								<td valign="top" style="padding:2px;">
								<table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxRow" id="prd-1style" onMouseOver="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow','changeStyle':'Hover'}}]);" onMouseOut="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow'}}]);">
									<tr>
										<td class="topleft"></td>
										<td></td>
										<td class="topright"></td>
									</tr>
									<tr>
										<td width="4"></td>
										<td valign="top">
										<table border="0" cellpadding="0" cellspacing="0" width="100%" id="prd-1">
											<tr>
												<td>
												<table border="0" cellpadding="0" cellspacing="0" width="100%">
													<tr>
														<td width="20" id="cat-1bullet" style="padding-left:3px"><?php echo tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif');?></td>
														<td class="main" onClick="javascript:doDisplayAction({'id':-1,'get':'EventEdit','result':doDisplayResult,'style':'boxRow','type':'prd','params':'eID=-1'});" id="prd-1title"><?php echo TEXT_NEW_EVENT;?></td>
														<td id="prd-1menu" align="right" class="menuRow">
														</td>
													</tr>
												</table>
												</td>
											</tr>
										</table>
										</td>
										<td width="4"></td>
									</tr>
									<tr>
										<td class="botleft"></td>
										<td></td>
										<td class="botright"></td>
									</tr>
								</table>
								</td>
							</tr>
							<?php $this->doEventsList(" pcd.subscription_categories_id='$category_id'");?>
						</table>
						</td>
						<td width="4"></td>
					</tr>
					<tr height="4">
						<td class="botleft"></td>
						<td></td>
						<td class="botright"></td>
					</tr>
				</table>
				<td>
			</tr>
			<tr height="10">
				<td></td>
			</tr>
		</table>
<?php
		}
		function doCategoryEdit(){
			global $FREQUEST,$LANGUAGES,$CAT_TREE;
			$languages=&$LANGUAGES;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			$mode=$FREQUEST->getvalue('cID','string','new');
			if ($category_id<=0) $mode="new";

			$JS_VARS["template"]=array(	"ERR_CAT_SELECT_PARENT"=>ERR_CATEGORY_SELECT_PARENT,
										"ERR_CAT_NAME_EMPTY"=>ERR_CATEGORY_NAME_EMPTY,
										"ERR_CAT_TITLE_EMPTY"=>ERR_CATEGORY_TITLE_EMPTY
										);
			
			if ($category_id>0){
				$category_query = tep_db_query("select c.parent_id,c.categories_id, cd.categories_name,cd.categories_heading_title,cd.categories_description,c.categories_image,language_id from  ".TABLE_CATEGORIES."  c,  ".TABLE_CATEGORIES_DESCRIPTION."  cd where c.categories_id = cd.categories_id and c.categories_id='".(int)$category_id."' order by cd.language_id");
				$catInfo=array();
				$langInfo=array();
				while($cat_result=tep_db_fetch_array($category_query)){
					$langInfo[$cat_result["language_id"]]=array("name"=>$cat_result["categories_name"],"title"=>$cat_result["categories_heading_title"],"description"=>$cat_result["categories_description"]);
					if (count($catInfo)==0) {
						$catInfo=$cat_result;
						unset($catInfo["categories_name"]);
						unset($catInfo["categories_heading_title"]);
						unset($catInfo["categories_description"]);
					}
				}
			}
?>
			<form action="javascript:void(0)" method="post" enctype="multipart/form-data" name="catSubmit" id="catSubmit">
			<table border="0" cellpadding="4" cellspacing="0" width="100%" class="categoryEdit" style="padding-left:20px">
				<?php if ($category_id<=0){ ?>
				<tr>
					<td>
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
						<tr>
							<td class="main" width="120" valign="top"><?php echo TEXT_PARENT_CATEGORY;?></td>
							<td class="main">
							<?php
								if (count($CAT_TREE)<=0) $CAT_TREE=tep_get_category_tree();
								echo tep_draw_pull_down_menu("parent_id",$CAT_TREE,0,'size=10');
							?>
							</td>
						</tr>	
					</table>
					</td>
				</tr>
				<?php } ?>
				<tr>
					<td width="50%" valign="top">
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
						   <?php
				   			 for ($icnt=0,$n=count($languages); $icnt<$n; $icnt++) {
							?>
					          <tr>
					            <td class="main" valign="top" width="130"><?php if ($icnt == 0) echo TEXT_EDIT_CATEGORIES_NAME ; ?></td>
					            <td class="main" valign="top"><?php  echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$icnt]['directory'] . '/images/' . $languages[$icnt]['image'], $languages[$icnt]['name']) . '&nbsp;' . tep_draw_input_field('categories_name[' . $languages[$icnt]['id'] . ']', isset($langInfo[$languages[$icnt]['id']]["name"])?stripslashes($langInfo[$languages[$icnt]['id']]["name"]):'','maxlength="32"'); ?></td>
					          </tr>
					        <?php } ?>
					</table>
					</td>
			        <td valign="top">
           		 	<table border="0" cellspacing="3" cellpadding="3" width="100%"> 	
			           <?php  for ($icnt=0,$n=count($languages); $icnt<$n; $icnt++) { ?>
			          	  <tr>
			            	<td class="main" valign="top" width="150"><?php if ($icnt == 0) echo TEXT_EDIT_CATEGORIES_HEADING_TITLE; ?></td>
			            	<td class="main" valign="top"><?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$icnt]['directory'] . '/images/' . $languages[$icnt]['image'], $languages[$icnt]['name']) . '&nbsp;' . tep_draw_input_field('categories_heading_title[' . $languages[$icnt]['id'] . ']',  isset($langInfo[$languages[$icnt]['id']]["title"])?stripslashes($langInfo[$languages[$icnt]['id']]["title"]):''); ?></td>
			          	  </tr>
			           <?php } ?>
           		   </table>
	       	   	  </td>	  
				</tr>
				 <tr>
					<td colspan="2">
						<div style='width:100%;height:300px;overflow:auto;'>
						<table border="0" cellspacing="0" cellpadding="3">
							<?php  for ($icnt=0,$count=count($languages); $icnt<$n; $icnt++) { ?> 	
								   <tr>
										<td class="main" valign="top"><?php if ($icnt == 0) echo TEXT_EDIT_CATEGORIES_DESCRIPTION; ?></td>
										<td class="main" valign="top"><?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$icnt]['directory'] . '/images/' . $languages[$icnt]['image'], $languages[$icnt]['name'],'','','align="top"'); ?>&nbsp;
										<?php echo tep_draw_textarea_field('categories_description[' . $languages[$icnt]['id'] . ']', 'soft', '70', '15', isset($langInfo[$languages[$icnt]['id']]['description'])? $langInfo[$languages[$icnt]['id']]['description'] : ''); ?></td>
									  </tr>
							<?php } ?>				
						</table>
						</div>
					</td>
				</tr>
				<input type="hidden" id="categories_image" name="categories_image" value="<?php echo tep_output_string($catInfo["categories_image"]);?>"/>
				<input type="hidden" id="category_id" name="category_id" value="<?php echo $category_id;?>"/>
				<tr>
					<td valign="top">
					<table border="0" cellpadding="2" cellspacing="0">
						<tr>
							<td class="main" align="left" valign="top"><?php echo TEXT_EDIT_CATEGORIES_IMAGE; ?></td>
							<td class="main" align="left" valign="top">
								<?php 
									echo '<div id="categories_image_file_container">';
									echo tep_draw_file_field('categories_image_file') . '<br>' . tep_draw_separator('pixel_trans.gif','10','1') . '&nbsp;' . $catInfo["categories_image"];
									echo '</div>';
								?>
							</td>
						</tr>
					</table>
					</td>
				</tr>
				</form>
				<tr>
					<td class="main" id="cat<?php echo $category_id;?>message"></td>
				</tr>
				<tr style="display:none">
					<td id="replace_menu">
						<a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':<?php echo $category_id;?>,'get':'CategoryUpdate','imgUpdate':true,'type':'cat','style':'boxLevel1','validate':categoryValidate,'uptForm':'catSubmit','result':<?php echo ($category_id>0?'doDisplayResult':'doTotalResult');?>,'get':'CategoryUpdate',display:'<?php echo tep_output_string(TEXT_PRODUCT_UPDATE_IMAGE);?>',display1:'<?php echo tep_output_string(TEXT_PRODUCT_UPDATE_DATA);?>'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_save_green.gif"/></a>
						<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
						<a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':<?php echo $category_id;?>,'get':'CategoryEdit','type':'cat','style':'boxLevel1'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_close_blue.gif"/></a>
					</td>
				</tr>        	
			</table>
<?php	}
		function doCategoryDeleteCheck(){
			global $FREQUEST,$FSESSION;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			
			$delete_message='';
			if ($category_id>0){
				$category_childs = tep_childs_in_category_count($category_id);
				$category_products =tep_products_in_category_count($category_id);
				if ($category_childs>0 || $category_products>0){
					
					if ($category_childs > 0) $delete_message.=sprintf(TEXT_DELETE_WARNING_CHILDS, $category_childs) . '<br>';
					if ($category_products > 0) $delete_message.=sprintf(TEXT_DELETE_WARNING_PRODUCTS, $category_products).'<br>';
				} else {
					$delete_message=TEXT_DELETE_CONFIRM_INFO . '<p>' . '<a href="javascript:void(0);" onClick="javascript:doSimpleAction({id:' . $category_id .",type:'cat',get:'CategoryDelete',result:doSimpleResult,display:'" . TEXT_DELETING_CATEGORY . "',params:'cID=" . $category_id . "'})\">" . tep_image_button('button_delete.gif') . '</a>';
				}
			}	?>
			<table border="0" cellpadding="2" cellspacing="0" align="center" width="100%">
				<tr>
					<td class="main" align="center" id="cat<?php echo $category_id;?>message">
						<?php echo $delete_message;?>
					</td>
				</tr>
				<tr>
					<td><hr/></td>
				</tr>
				<tr>
					<td valign="top" class="categoryInfo"><?php echo $this->doCategoryInfo($category_id);?></td>
				</tr>
			</table>
<?php	}
		function doCategoryMoveDisplay(){
			global $FREQUEST,$JS_VARS,$CAT_TREE,$FSESSION;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			if (count($CAT_TREE)<=0) $CAT_TREE=tep_get_category_tree('0', '',$category_id);
			$category_name=tep_get_category_name($category_id,$FSESSION->languages_id);	?>
			<form action="javascript:void(0)" method="post" enctype="application/x-www-form-urlencoded" name="catMoveSubmit" id="catMoveSubmit">
			<input type="hidden" name="category_id" value="<?php echo $category_id; ?>"/>
			<table width="100%"  border="0" cellspacing="5" cellpadding="5" style="padding-left:20px;">
				<tr>
					<td class="main" id="cat<?php echo $category_id;?>message"></td>
				</tr>
				<tr>
					<td class="main"><b><?php echo sprintf(TEXT_MOVE_CATEGORIES_INTRO, $category_name);?></b></td>
				</tr>
				<tr>
					<td class="main" align="left"><?php echo sprintf(TEXT_MOVE, $category_name) . '&nbsp;' . tep_draw_pull_down_menu('new_parent_id', $CAT_TREE);?></td>
				</tr>
				<tr>
					<td class="main"><a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $category_id;?>,type:'cat',style:'boxLevel1','get':'CategoryMove','result':doTotalResult,uptForm:'catMoveSubmit',display:'<?php echo tep_output_string(TEXT_CATEGORY_MOVE);?>'});"><?php echo tep_image_button('button_move.gif');?></a>&nbsp;<a href="javascript:void(0)" onClick="javascript:return doCancelAction({id:<?php echo $category_id;?>,type:'cat','get':'closeRow',style:'boxLevel1'});"><?php echo tep_image_button('button_cancel.gif');?></a></td>
				</tr>
			</table>
			</form>
<?php
		}
		function doEventEdit(){
			global $FREQUEST,$JS_VARS,$CAT_TREE,$FSESSION,$LANGUAGES;
			$product_id=$FREQUEST->getvalue('eID','int',0);
			$category_id=$FREQUEST->getvalue('cID','int',0);
			$JS_VARS["template"]=array(
										"PBK_OPTION"=>TEXT_PRICE_BREAK_OPTION_TEXT,
										"PBK_ERR_QUAN"=>ERR_PRICE_BREAK_QUANTITY,
										"PBK_ERR_PRICE_LESS"=>ERR_PRICE_BREAK_LESS_PRICE,
										"PBK_ERR_EXISTS"=>ERR_PRICE_BREAK_EXISTS,
										"PBK_ERR_PRICE"=>ERR_PRICE_BREAK_PRICE,
										"ERR_PRODUCT_PRICE"=>ERR_PRODUCT_PRICE,
										"ERR_SPK_NO_USERS"=>ERR_SUPPORTPACK_NO_USERS,
										"ERR_SPK_SELECT_SUBS"=>ERR_SUPPORTPACK_SELECT_SUBS,
										"ERR_SPK_ALREADY_EXISTS"=>ERR_SUPPORTPACK_ALREADY_EXISTS,
										"SPK_OPTION"=>TEXT_SUPPORTPACK_OPTION,
										"ATT_ERR_VALUE_CHANGE"=>ERR_ATTRIB_VALUE_CANNOT_CHANGE,
										"ATT_ERR_QUANTITY"=>ERR_ATTRIB_QUANTITY,
										"ATT_ERR_SKU"=>sprintf(ERR_ATTRIB_SKU,SKU_COUNT),
										"ATT_ERR_STOCK_EXISTS"=>ERR_ATTRIB_STOCK_EXISTS,
										"PRD_ERR_NAME_EMPTY"=>ERR_PRODUCT_NAME_EMPTY,
										"PRD_ERR_SELECT_CAT"=>ERR_PRODUCT_SELECT_CATEGORY,
										"PRD_ERR_AUTHOR_EMPTY"=>ERR_PRODUCT_AUTHOR_EMPTY,
										"PRD_ERR_SUPPORT_PACK"=>ERR_PRODUCT_SUPPORT_PACK,
										"PRD_ERR_DOWNLOAD_LINK"=>ERR_PRODUCT_DOWNLOAD_LINK,
										"PRD_ERR_PRICE_BREAKS_EMPTY"=>ERR_PRODUCT_PRICE_BREAKS_EMPTY,
										"PRD_ERR_ATTR_EMPTY"=>ERR_PRODUCT_ATTRIBUTES_EMPTY,
										"PRD_ERR_ATTR_STOCK"=>ERR_PRODUCT_ATTRIBUTES_STOCK_EMPTY,
										"PRD_ERR_WEIGHT_UNIT"=>ERR_PRODUCT_WEIGHT_UNIT,
										"PRD_ERR_LINKED_SUBS"=>ERR_PRODUCT_LINKED_SUBSCRIPTION,
										"PRD_ERR_IMAGE_TYPES"=>ERR_PRODUCT_IMAGE_TYPES,
										"PRD_ERR_PRICE"=>ERR_PRODUCT_PRICE,
										"PRD_ERR_SUPPORT_SUBS"=>ERR_PRODUCT_SUPPORT_SUBSCRIPTION,
										"IN_STOCK"=>TEXT_IN_STOCK,
										"OUT_STOCK"=>TEXT_OUT_STOCK
										);
										
			for ($icnt=0,$n=count($LANGUAGES);$icnt<$n;$icnt++){
				$products_name[$LANGUAGES[$icnt]['id']]='';
				$products_description[$LANGUAGES[$icnt]['id']]='';
				$products_url[$LANGUAGES[$icnt]['id']]='';
			}
			if ($product_id>0){
				$product_sql="SELECT sud.subscription_name, sud.subscription_description, sud.subscription_url, su.subscription_id, su.subscription_image, " .
										   "su.subscription_date_added,su.emarketing_on_renewal, su.subscription_last_modified, date_format(su.subscription_date_available, '%Y-%m-%d') " .
										   "as subscription_date_available, su.subscription_status, su.subscription_tax_class_id, su.subscription_costs, " .
										   "su.subscription_pending_period,su.subscription_renewal_start,su.subscription_renewal_end,su.subscription_free_trial,su.subscription_free_days, " .
										   "su.subscription_type,su.subscription_group,su.subscription_conditions,su.subscription_packing_slip, ".
										   "su.wallet_payment,su.periodic_payment,su.periodic_days,su.periodic_type,su.deliveries,su.deliveries_name,su.deliveries_perday,su.subscription_date_type, " .
										   "su.subscription_start_date,su.subscription_finish_date,su.subscription_latest_start_date,su.subscription_period,su.support_minutes from " . 
											TABLE_SUBSCRIPTIONS . " su, " . TABLE_SUBSCRIPTIONS_DESCRIPTION . " sud where su.subscription_id=sud.subscription_id " .
										   " and su.subscription_id = '" . (int)$product_id . "' and sud.language_id = '" . (int)$FSESSION->languages_id . "'";
				$product_query = tep_db_query($product_sql);
				$product_result=tep_db_fetch_array($product_query);
				$description_query=tep_db_query("SELECT subscription_name,subscription_url,subscription_description ,language_id from " . TABLE_SUBSCRIPTIONS_DESCRIPTION . " where subscription_id=" . (int)$product_id);
				while($description=tep_db_fetch_array($description_query)){
					$products_name[$description['language_id']]=$description["subscription_name"];
					$products_url[$description['language_id']]=$description["subscription_url"];
					$products_description[$description['language_id']]=$description["subscription_description"];
				}
			} else {
				$product_result=array('products_id'=>0,'products_quantity'=>'','is_attributes'=>'N',"products_price_break"=>'N',"author_name"=>"","products_model"=>'','products_sku'=>'',
								'products_image_1'=>'','products_image_2','products_image_3','products_image_4','products_image_5','products_title_1'=>'','products_title_2'=>'','products_title_3'=>'','products_title_4'=>'','products_title_5'=>'',
								'products_price'=>'','products_weight'=>'0','products_sort_order'=>'','products_date_added'=>'','products_last_modified'=>'','products_date_available'=>'','products_status'=>'1', 'products_tax_class_id'=>'',
								'manufacturers_id'=>'','is_subscription'=>'','restrict_to_groups'=>'','restrict_to_customers'=>'','product_type'=>'','product_mode'=>'P','download_link'=>'','downloads_per_customer'=>'','download_last_date'=>''
								);
			}
			$product=new objectInfo($product_result);
			
			$tax_rate=tep_get_tax_rate($product->products_tax_class_id);
			
			$manufacturers_array = array(array('id' => '', 'text' => TEXT_NONE));
    		$manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . " order by manufacturers_name");
			while ($manufacturers = tep_db_fetch_array($manufacturers_query)) {
			  $manufacturers_array[] = array('id' => $manufacturers['manufacturers_id'],
											 'text' => $manufacturers['manufacturers_name']);
			}			

			$customer_groups_list=array();
			$customer_group_query=tep_db_query('select customers_groups_id,customers_groups_name from '.TABLE_CUSTOMERS_GROUPS . ' where customers_groups_name!="" order by customers_groups_name');
			while($customer_group=tep_db_fetch_array($customer_group_query)){
				$customer_groups_list[]=array('id'=>$customer_group['customers_groups_id'],'text'=>$customer_group['customers_groups_name']);
			}

			$get_selected_groups=array();
			if($product->restrict_to_groups!="") {
				$str_splt=split(",",$product->restrict_to_groups);
				for($icnt=0,$n=count($str_splt);$icnt<$n;$icnt++) {
					$get_selected_groups[]=array('id'=>$str_splt[$icnt]);
				}
			}
			$customers_list=array();
			$customer_query=tep_db_query("select customers_id,concat(customers_lastname,' ',customers_firstname) as customer_name from ".TABLE_CUSTOMERS . ' order by customers_lastname,customers_firstname');

			while($customers=tep_db_fetch_array($customer_query)){
			  $customers_list[]=array('id'=>$customers['customers_id'],'text'=>$customers['customer_name']);
			}

		 	$get_selected_customers=array();
			if($product->restrict_to_customers!="") {
				$str_splt=split(",",$product->restrict_to_customers);
				for($icnt=0,$n=count($str_splt);$icnt<$n;$icnt++) {
					$get_selected_customers[]=array('id'=>$str_splt[$icnt]);
				}
			 }
			$break_array=array();
			$js_break_array=array();
			if($product->products_price_break=='Y') {
				$break_query=tep_db_query("select * from " . TABLE_PRODUCTS_PRICE_BREAK . " where products_id='" . (int)$product_id . "' order by quantity");
				while($break_result=tep_db_fetch_array($break_query)){
					$new_price=tep_add_tax(($product->products_price-$break_result['discount_per_item']),$tax_rate);
					$break_array[]=array('id'=>$break_result['quantity'] . '##' . $break_result['price'], 'text'=>str_replace(array("##1##","##2##"),array($break_result['quantity'],$new_price),TEXT_PRICE_BREAK_OPTION_TEXT));
					$js_break_array[]=array("quan"=>$break_result['quantity'],"price"=>$break_result['discount_per_item']);
				}
			}

			if (count($CAT_TREE)<=0)$categories_array = tep_get_category_tree(0,'',0); 
			
			if($product_id>0){ 
				$categories_query_selected = tep_db_query("select categories_id from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id = " . tep_db_input($product_id));
				while ($categories = tep_db_fetch_array($categories_query_selected)){
				  $categories_array_selected[] = array('id' => $categories['categories_id']);
				}

				if ($product->is_subscription=="Y"){
					$link_subscription_query=tep_db_query("select * from " . TABLE_PRODUCTS_TO_SUBSCRIPTIONS ." where products_id=" .tep_db_input($product_id));
					while($temp_result=tep_db_fetch_array($link_subscription_query)){
						$subscription_categories_array_selected[]=array('id' => $temp_result['subscription_id']);
					}
				}
			} else {
				$categories_array_selected[] = array('id' =>$category_id);
				$subscription_categories_array_selected=array();
			}

			$language_id = 1;

			$tax_class_array = array(array('id' => '0', 'text' => TEXT_NONE));
			$tax_class_query = tep_db_query("select tax_class_id, tax_class_title from " . TABLE_TAX_CLASS . " order by tax_class_title");
			while ($tax_class = tep_db_fetch_array($tax_class_query))
			  $tax_class_array[] = array('id' => $tax_class['tax_class_id'],
										 'text' => $tax_class['tax_class_title']);

		    switch ($pInfo->products_status) {
		      case '0': $in_status = false; $out_status = true; break;
		      case '1':
		      default: $in_status = true; $out_status = false;
		    }
			$current_date=getServerDate();

			$products_type=array(
				array('id'=>'G','text'=>TEXT_GENERAL),
				array('id'=>'S','text'=>TEXT_SOFTWARE_PACK),
				array('id'=>'B','text'=>TEXT_BOOK)
			);
			
			$selectedSupportPacks=array();
			$subsList=array();
			$supportPackSubs=array();
			
			$software_subs_query=tep_db_query("SELECT su.subscription_id,sud.subscription_name from " . TABLE_SUBSCRIPTIONS . " su, " . TABLE_SUBSCRIPTIONS_DESCRIPTION . " sud where su.subscription_id=sud.subscription_id and language_id='" . (int)$FSESSION->languages_id . "' " . SUBSCRIPTION_CONDITION_STATUS . " and su.subscription_type='P' order by sud.subscription_name");
			while($temp_result=tep_db_fetch_array($software_subs_query)){
				$supportPackSubs[]=array('id'=>$temp_result['subscription_id'],'text'=>$temp_result['subscription_name']);
				$subsList[$temp_result["subscription_id"]]=array("name",$temp_result["subscription_name"]);
			}
			$supportPacksArr=array();
			if ($product_id>0){
				$selected_soft_query=tep_db_query("select subscription_id,no_users from ".TABLE_PRODUCTS_TO_SUPPORT_PACKS." where product_id=$product_id order by no_users");
				//$selected_soft_group_query=tep_db_query("select no_users from ".TABLE_PRODUCTS_TO_SUPPORT_PACKS." where product_id='".$product_id."' group by no_users");
				if(tep_db_num_rows($selected_soft_query)>0){
					while($selected_soft=tep_db_fetch_array($selected_soft_query)){					
						$selectedSupportPacks[]=array('id'=>$selected_soft['no_users'] . '##' . $selected_soft["subscription_id"],'text'=>$subsList[$selected_soft["subscription_id"]]);
						$supportPacksArr[]=array("noUsers"=>$selected_soft["no_users"],"subsID"=>$selected_soft["subscription_id"]);
					}
				}
			}
			$_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);
			$panels=array('GENERAL','TYPE','DESCRIPTION','COSTSTOCK','CONDITIONS');
			$default_panel='GENERAL';
			
			
			
			$pr_attributes=array();
			$js_attrib=array();
			$prev_attribute='';
			$attrib_combo=array();


			$pr_attributes_query = tep_db_query("select po.products_options_id, po.products_options_name,pa.options_values_price,pov.products_options_values_id,pov.products_options_values_name,pa.options_values_id,
														pa.price_prefix,pa.products_options_sort_order,pa.products_attributes_weight,pa.products_attributes_weight_prefix from " 
														. TABLE_PRODUCTS_OPTIONS . " po," . TABLE_PRODUCTS_OPTIONS_VALUES . " pov," . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " p2p LEFT JOIN ".TABLE_PRODUCTS_ATTRIBUTES." pa on pa.options_id=p2p.products_options_id and pa.options_values_id=p2p.products_options_values_id 
														and pa.products_id=$product_id where po.products_options_id=p2p.products_options_id and pov.products_options_values_id=p2p.products_options_values_id and po.language_id=".(int)$FSESSION->languages_id." and pov.language_id=".(int)$FSESSION->languages_id." order by po.products_options_sort_order,pov.products_options_values_name");
			
			while($temp=tep_db_fetch_array($pr_attributes_query)){
				$option_id=$temp["products_options_id"];
				$value_id=$temp["products_options_values_id"];
				if (!isset($pr_attributes[$option_id])){
					$pr_attributes[$option_id]=array("name"=>$temp["products_options_name"],"values"=>array());
					$js_attrib[$option_id]=array("name"=>tep_output_string($temp["products_options_name"]),"values"=>array(),"useCnt"=>0);
					$attrib_combo[$option_id]=array();
				}
				if ((int)$temp["options_values_id"]>0){
					$pr_attributes[$option_id]["values"][$value_id]=array("price"=>$temp["options_values_price"],"price_prefix"=>$temp["price_prefix"],
																				"sort_order"=>$temp["products_options_sort_order"],
																				"weight"=>$temp["products_attributes_weight"],"weight_prefix"=>$temp["products_attributes_weight_prefix"],"show"=>true
																				);
					$js_attrib[$option_id]["show"]=true;
					$js_attrib[$option_id]["values"][$value_id]["name"]=tep_output_string($temp["products_options_values_name"]);
					$prev_attribute.=$option_id . "-" . $value_id .",";
					$attrib_combo[$option_id][]=array("id"=>$value_id,"text"=>$temp["products_options_values_name"]);
				} else {
					$pr_attributes[$option_id]["values"][$value_id]=array("price"=>'',"price_prefix"=>'',"sort_order"=>'',"weight"=>'',"weight_prefix"=>'',"show"=>false);
				}
				$pr_attributes[$option_id]["values"][$value_id]["name"]=$temp["products_options_values_name"];
			}
			$prev_attribute=substr($prev_attribute,0,-1);

			
			$attribStock=array();
			$stockKeys=array();
			$prevStockValue='';
			if ($product_id>0){
				$attrib_stock_query=tep_db_query("select attributes_id,products_quantity,sku,attribute_status from ".TABLE_PRODUCTS_STOCK . " where products_id='".(int)$product_id."'");
				while($attrib_stock_result = tep_db_fetch_array($attrib_stock_query)){
					$attrib_ids=split('-',$attrib_stock_result['attributes_id']);
					$value_text='';
					for($icnt=0,$n=count($attrib_ids);$icnt<$n;$icnt++){
						$option_values=split('{',$attrib_ids[$icnt]);
						$option_id=$option_values[0];
						$value_id=substr($option_values[1],0,-1);
						$js_attrib[$option_id]["useCnt"]++;
						$value_text.=$pr_attributes[$option_id]['name'] . ":" . $pr_attributes[$option_id]["values"][$value_id]["name"] . ",";
					}
					$attribStock[]=array(	'id' => $attrib_stock_result['attributes_id'],
											'option_text'=>substr($value_text,0,-1),
											 'sku'=>$attrib_stock_result['sku'],
											 'qty'=>$attrib_stock_result['products_quantity'],
											 'status'=>$attrib_stock_result['attribute_status'],
											 'mode'=>'E'
										);
					$prevStockValue.=$attrib_stock_result['attributes_id']. ",";
				}
				$prevStockValue=substr($prevStockValue,0,-1);
			}
			$JS_VARS['storePage']=array('productPanel'=>$default_panel,"NUpriceBreaks"=>$js_break_array,"NUsupportPacks"=>$supportPacksArr,"attributes"=>$js_attrib,"NUattribStock"=>$attribStock,"curAttrStock"=>array());

			$display_mode_html=' style="display:none" '; ?>
			<table border="0" cellpadding="4" cellspacing="0" width="100%">
				<tr>
					<td valign="top" width="150">
					<table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
						<tr>
							<td valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr height="6">
									<td valign="top" width="7"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_topl.gif');?></td>
									<td></td>
									<td valign="top" width="7" align="right"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_topr.gif');?></td>
								</tr>
							</table>
							</td>
						</tr>
						<tr>
							<td valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
								<tr>
									<td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel','type':'productPanel'});" id="productPanel<?php echo $panels[$icnt];?>menu">
										<?php 
												echo "<a href='javascript:void(0);'><div>" . constant("HEADING_ITEM_" .$panels[$icnt]) . '</div></a>';
												$JS_VARS["storePage"]["productPanelMenus"][$panels[$icnt]]=array('text'=>constant("HEADING_ITEM_" .$panels[$icnt]));
										?>
									</td>
								</tr>
							<?php } ?>
							</table>
							</td>
						</tr>
						<tr>
							<td valign="top" class="bottom">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr height="6">
									<td valign="top" width="7"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_bottoml.gif');?></td>
									<td></td>
									<td valign="top" width="7" align="right"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_bottomr.gif');?></td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
					</td>
					<td valign="top">
					<form action="products_mainpage_ajax.php" method="post" name="productSubmit" enctype="multipart/form-data" id="productSubmit">
					<input type="hidden" name="product_id" value="<?php echo $product_id;?>"/>
					<input type="hidden" name="category_id" value="<?php echo $category_id;?>"/>
					<input type="hidden" name="prev_attribute_stock_ids" value="<?php echo $prevStockValue;?>">
					<input type="hidden" name="prev_attribute_ids" value="<?php echo $prev_attribute;?>">
					
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr height="30">
							<td class="headItemEdit" valign="top">
								<?php echo tep_image(DIR_WS_IMAGES . '/template/arrow_down.gif','','','','align=absmiddle');?>
								<span id="panelEditTitle">
								<?php echo constant("HEADING_ITEM_" . $default_panel);?>
								</span>
								<hr size="1" color="#D2D8E7"/>
							</td>
						</tr>
						<tr>
							<td valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
								<tr id="productPanelGENERALview">
									<td width="50%" valign="top">
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
											<td class="main">
											<div style="padding-bottom:5px"><b><?php echo TEXT_PRODUCTS_NAME;?></b></div>
											<div style="padding-left:20px">
											<?php for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
													echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
													echo '&nbsp;' . tep_draw_input_field('products_name[' . $LANGUAGES[$icnt]['id'] . ']', $products_name[$LANGUAGES[$icnt]['id']],'maxlength="64"') . '<br>';
												  } ?>
											</div>
											</td>
										</tr>
										<tr>
											<td class="main">
											<?php 
												echo '<div class="title">' . TEXT_PRODUCTS_STATUS . '</div>';
												echo tep_draw_radio_field('products_status', '1', $in_status) . '&nbsp;' . TEXT_PRODUCT_AVAILABLE . '&nbsp;' . tep_draw_radio_field('products_status', '0', $out_status) . '&nbsp;' . TEXT_PRODUCT_NOT_AVAILABLE; 
											?>
											</td>
										</tr>
										<tr>
											<td style="padding-top:10px; padding-bottom:10px;">
											<table border="0" cellpadding="0" cellspacing="0">
											<tr>
											<td class="main" valign="top"><?php echo TEXT_SUBSCRIPTION_STATUS; ?></td>
											<td class="main" valign="top"><?php 
											$status_array=array(array('id'=>1,'text'=>TEXT_HIDE_NONE),
																array('id'=>0,'text'=>TEXT_HIDE_ALWAYS));											
											echo tep_draw_pull_down_menu('subscription_status', $status_array, $suInfo->subscription_status); ?></td>
											</tr></table></td>
										</tr>										
										<tr>
											<td class="main">
											<?php
												echo '<div class="title">' . TEXT_CATEGORIES . '</div>';
												$categories_query_selected = tep_db_query("select subscription_categories_id from " . TABLE_SUBSCRIPTION_TO_SUBSCRIPTION_CATEGORIES . " where subscription_id = '" . tep_db_input($product_id) . "'");
												$category_selected=array();
												 while ($categories = tep_db_fetch_array($categories_query_selected)) 
													$category_selected[]=array('id'=>$categories['subscription_categories_id']);
						
												$category_array=array();
												$cat_query = tep_db_query("select cd.subscription_categories_name,cd.subscription_categories_id from " . TABLE_SUBSCRIPTION_CATEGORIES . " c," . TABLE_SUBSCRIPTION_CATEGORIES_DESCRIPTION . " cd where c.subscription_categories_id=cd.subscription_categories_id and cd.language_id='" . (int)$language_id  ."'" );
												while($cat_array=tep_db_fetch_array($cat_query))
													$category_array[]=array('id'=>$cat_array['subscription_categories_id'],'text'=>$cat_array['subscription_categories_name']);
																		
												echo tep_draw_mselect_checkbox('subscription_categories_ids[]',$category_array,$category_selected);
											?>
											</td>
										</tr>
									</table>
									</td>
									<td>
									<table border="0" cellpadding="2" cellspacing="0" width="100%">
										<tr>
											<td class="main">
											<?php echo '<div style="padding-bottom:5px"><b>' . TEXT_PRODUCTS_URL . '</b><small>' . TEXT_PRODUCTS_URL_WITHOUT_HTTP . '</small></div>'?>
											<div  style="padding-left:10px">
											<?php
												for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
													echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
													echo '&nbsp;' . tep_draw_input_field('products_url[' . $LANGUAGES[$icnt]['id'] . ']', $products_url[$LANGUAGES[$icnt]['id']],'maxlength="64"') . '<br>';
												}
											?>
											</div>
											</td>
										</tr>
										<tr>
											<td class="main">
												<?php 	
														echo '<div class="title">' . TEXT_PRODUCTS_DATE_AVAILABLE . '<small>(' . $date_format . ')</small></div>';
														echo tep_draw_input_field("products_date_available",(tep_not_null($product->products_date_available)?format_date($product->products_date_available):format_date($current_date)),"size=10",false,'text',false);
														echo tep_create_calendar("productSubmit.products_date_available",$date_format);
												?>
											</td>
										</tr>
									</table>
									</td>
								</tr>
							<tr id="productPanelTYPEview" style="display:none">
									<td width="50%">
									<table border="0" cellpadding="0" cellspacing="5" width="100%">
										<tr>
											<td class="main" width="120"><?php echo TEXT_SUBSCRIPTION_TYPE; ?></td>
											<td>
												<?php $type_array=array(
																		array('id'=>'B','text'=>TEXT_SUBSCRIPTION_BASIC),																
																		array('id'=>'C','text'=>TEXT_SUBSCRIPTION_CASUAL),
																		array('id'=>'S','text'=>TEXT_SUBSCRIPTION_SEASONAL),
																		array('id'=>'P','text'=>TEXT_SUBSCRIPTION_SUPPORT),
																		array('id'=>'M','text'=>TEXT_SUBSCRIPTION_MEMBERSHIP)); //Added line 703-708 by sobi
												 $get_member_query=tep_db_query("select subscription_id from " . TABLE_SUBSCRIPTIONS . " where subscription_type='M'");
												 if(tep_db_num_rows($get_member_query)>0){
													$alert_error=($suInfo->subscription_type!='')?$suInfo->subscription_type:'B';
												 }
												 else
													$alert_error='';
												?>
												<table border="0" cellspacing="0" cellpadding="0" width="85%">
													<tr>
														<td  class="main"><?php echo tep_draw_pull_down_menu('subscription_type',$type_array,$suInfo->subscription_type,'onchange=javascript:do_subscription_type("' . $alert_error. '")');?></td>
														<td class="main" align="left">
															<span id="box_deliveries" style="display:none">
																<?php echo '&nbsp;&nbsp;'.tep_draw_input_field('txt_deliveries',$suInfo->deliveries,'onKeyPress="return keyRestrict(event)" size="3" maxlength="6"');
																	  echo ' ' . tep_draw_input_field('txt_deliveries_name',$suInfo->deliveries_name,' onKeyPress="return keyRestrict(event)" size="3" maxlength="20"');
																 ?>
															</span>
															<span align="left" id="box_support" style="display:none;">
															 <?php echo tep_draw_input_field('support_minutes',$suInfo->support_minutes,'onKeyPress="return keyRestrict(event)" size="3" maxlength="2"').' '.TEXT_MINS;?>
															</span>
														</td>
														<td class="main" align="left" width="120">
															<div id="box_perday" style="display:none">
																<?php echo '&nbsp;'.TEXT_PER .'  '. tep_draw_input_field('txt_perday',$suInfo->deliveries_perday,'onKeyPress="return keyRestrict(event)" size="3" maxlength="6"') .'  '. TEXT_DAY;?>
															</div>
														</td>												
													</tr>	
													
													<script language="javascript">do_subscription_type();</script>			
												</table>	
											</td>									
										</tr>
										
										<tr>
											<td valign="top" class="main">
												<?php echo TEXT_SUBSCRIPTION_DATE_TYPE;?>
											</td>
											<td class="main" valign="top">
												<?php 
													$sub_date_type = '';
													if($suInfo->subscription_date_type == "")$sub_date_type = 'F';
													else $sub_date_type = $suInfo->subscription_date_type;
													echo tep_draw_radio_field("subscription_date_type",'F',($sub_date_type=='F')?true:false,'',' onchange=javascript:do_subscription_date_type() ') . TEXT_FIXED. '&nbsp;';
													echo tep_draw_radio_field("subscription_date_type",'L',($sub_date_type=='L')?true:false,'',' onchange=javascript:do_subscription_date_type() ') . TEXT_FLEXIBLE . '&nbsp;';
													echo tep_draw_radio_field('subscription_date_type','P',($sub_date_type=='P')?true:false,'',' onchange=javascript:do_subscription_date_type() ') . TEXT_PREDEFINED;
												?>
											</td>
										</tr>
										<tr id="ptypePanelBview" <?php echo $product->product_type=="B"?'':$display_mode_html;?>>
											<td class="main">
											<?php
												echo '<div class="title">' . TEXT_AUTHOR_NAME . '</div>';
												echo tep_draw_input_field('author_name',$product->author_name,'maxlength="255"');
											?>
											</td>
										</tr>
									</table>
									</td>
								</tr>								
								<tr id="productPanelDESCRIPTIONview" style="display:none">
									<td colspan=2 valign="top">
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
											<td valign="top" class="main">
											<?php for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
													echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');	?>
											</td><td valign="top">		
											<?php 	echo '&nbsp;' . tep_draw_textarea_field('products_description[' . $LANGUAGES[$icnt]['id'] . ']', 'soft', '80', '24', $products_description[$LANGUAGES[$icnt]['id']]). '<br><br>';
												  } ?>
											</td>
										</tr>
									</table>
									</td>
								</tr>
								<tr id="productPanelCOSTSTOCKview" style="display:none">
									<td>
										<table border=0 cellpadding="4" cellspacing="0" width="100%">
											<tr>
												<td class="main"><?php echo TEXT_SUBSCRIPTION_TAX_CLASS .tep_draw_separator('pixel_trans.gif',20,10).tep_draw_pull_down_menu('subscription_tax_class_id', $tax_class_array, $suInfo->subscription_tax_class_id, 'onchange="updateGross()"') ; ?></td>
												</tr>
												<tr>
												<td class="main"><?php 
												$price=$suInfo->subscription_costs;
												if(strpos($price,".") && substr($price,strpos($price,"."))<=0) $price=(int)$price;
												echo TEXT_SUBSCRIPTION_FEES_NET_INFO .tep_draw_separator('pixel_trans.gif',20,10). tep_draw_input_field('subscription_costs_net', $price, 'onKeyUp="updateGross()"') ; ?></td>
												</tr>
												<tr>
												<td class="main"><?php echo TEXT_SUBSCRIPTION_FEES_GROSS_INFO .tep_draw_separator('pixel_trans.gif',20,10). tep_draw_input_field('subscription_costs_gross', $suInfo->subscription_costs, 'OnKeyUp="updateNet()"'); ?></td>
											</tr>
										</table>	
									</td>
								</tr>
								<tr id="productPanelCONDITIONSview" style="display:none;">
									<td colspan="2" class="main">
									<?php
										$events_link=true;
										echo tep_draw_checkbox_field('is_subscription','Y',($product->is_subscription=='Y'?true:false),'','onclick="javascript:toggleView({id:\'linkSubsView\',prop:\'display\'});"') . TEXT_CHECK_LINKED_SUBSCRIPTION . '<br><br>';
										echo '<div id="linkSubsView"' . ($product->is_subscription=='Y'?'':$display_mode_html) .'>';
										echo tep_draw_subscription_select_menu('subscription_categories_ids[]',$subscription_array,$subscription_categories_array_selected[0]['id'],' size=10 id="subscription_categories_ids" style="width:350"',false,0,false);
										echo '</div>';
									?>
									</td>
								</tr>
							</table>
							</form>
							</td>
						</tr>
					</table>
					</td>
				</tr>
				<tr>
					<td class="main" id="prd<?php echo $product_id;?>message"></td>
				</tr>
				<tr style="display:none">
					<td id="replace_menu">
						<a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':<?php echo $product_id;?>,'get':'ProductUpdate','imgUpdate':true,'type':'prd','style':'boxRow','validate':productValidate,'uptForm':'productSubmit','customUpdate':doProductUpdate,'result':<?php echo ($product_id>0?'doDisplayResult':'doTotalResult');?>,display:'<?php echo tep_output_string(TEXT_PRODUCT_UPDATE_IMAGE);?>',display1:'<?php echo tep_output_string(TEXT_PRODUCT_UPDATE_DATA);?>'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_save_green.gif"/></a>
						<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
						<a href="javascript:void(0)" onclick="javascript:return doCancelAction({'id':<?php echo $product_id;?>,'get':'ProductEdit','type':'prd','style':'boxRow'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_close_blue.gif"/></a>
					</td>
				</tr>       	
			</table>
<?php	}
	}
	$PRODUCTS=new productsAjax();
	function tep_replace_simple_template($array,$content){
		if (count($array)>0){
			reset($array);
			while(list($key,$value)=each($array)) $content=str_replace("##" . $key . "##",$value,$content);
		}
		return $content;
	}
	function getCategoriesListTemplate(){
		ob_start();
?>
		<tr id="cat##CAT_ID##row">
			<td style="padding-left:##PAD_LEFT##px">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" id="cat##CAT_ID##" class="boxLevel1" onMouseOver="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxLevel1','changeStyle':'Hover'}}]);" onMouseOut="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxLevel1'}}]);">
				<tr>
					<td class="head" valign="middle" height="25px">
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
						<tr>
							<td width="25" align="center" style="cursor:pointer;cursor:hand" onClick="javascript:doDisplayAction({'id':##CAT_ID##,'get':'CatInfoAndEvents','result':doDisplayResult,'type':'cat','params':'cID=##CAT_ID##','style':'boxLevel1'});" id="cat##CAT_ID##bullet">##BULLET_IMAGE##</td>
							<td class="main" onClick="javascript:doDisplayAction({'id':##CAT_ID##,'get':'CatInfoAndEvents','result':doDisplayResult,'type':'cat','params':'cID=##CAT_ID##','style':'boxLevel1'});" style="cursor:pointer;cursor:hand" id="cat##CAT_ID##title">
								##CAT_NAME##
							</td>
							<td align="right" id="cat##CAT_ID##menu" class="boxRowMenu">
								<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryEdit','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryDeleteCheck','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryMoveDisplay','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/img_move.gif"/></a>
							</td>
						</tr>
					</table>
					</td>
				</tr>
			</table>
			</td>
		</tr>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getCategoryInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td valign="top" width="##CAT_IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##CAT_IMAGE##</div></td>
				<td width="10">&nbsp;</td>
				<td valign="top" width="200">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="main">##CAT_DATE_ADDED##</td>
						</tr>
						<tr>
							<td class="main">##CAT_DATE_MODIFIED##</td>
						</tr>
					</table>
				</td>
				<td valign="top" class="smallText" align="justify" style="padding-right:20px;">
					<div style="width:100%;height:100%;overflow:hidden">
						##CAT_DESCRIPTION##
					</div>
				</td>
			</tr>
			<tr height="10">
				<td>&nbsp;</td>
			</tr>
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getProductsListTemplate(){
		ob_start();
?>
		<tr>
			<td valign="top" style="padding:2px;">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxRow" id="prd##PRD_ID##style" onMouseOver="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow','changeStyle':'Hover'}}]);" onMouseOut="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow'}}]);">
				<tr>
					<td class="topleft"></td>
					<td></td>
					<td class="topright"></td>
				</tr>
				<tr>
					<td width="4"></td>
					<td valign="top">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" id="prd##PRD_ID##">
						<tr>
							<td>
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="20" id="cat##PRD_ID##bullet">##PRD_STATUS##</td>
									<td class="main" onClick="javascript:doDisplayAction({'id':##PRD_ID##,'get':'EventInfo','result':doDisplayResult,'style':'boxRow','type':'prd','params':'eID=##PRD_ID##'});" id="prd##PRD_ID##title">##PRD_NAME##</td>
									<td id="prd##PRD_ID##menu" align="right" class="boxRowMenu">
										<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##PRD_ID##,'get':'EventEdit','result':doDisplayResult,'style':'boxRow','type':'prd','params':'eID=##PRD_ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryDeleteCheck','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryMoveDisplay','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/img_move.gif"/></a>
									</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
					</td>
					<td width="4"></td>
				</tr>
				<tr>
					<td class="botleft"></td>
					<td></td>
					<td class="botright"></td>
				</tr>
			</table>
			</td>
		</tr>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getProductInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td valign="top" width="##PRD_IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##PRD_IMAGE##</div></td>
				<td width="10">&nbsp;</td>
				<td valign="top" width="250">
					<table border="0" cellpadding="3" cellspacing="0" width="100%">
						<tr>
							<td class="main">##PRD_DATE_ADDED##</td>
						</tr>
						<tr>
							<td class="main">##PRD_DATE_MODIFIED##</td>
						</tr>
						<tr>
							<td class="main">##PRD_QTY##</td>
						</tr>
						<tr>
							<td class="main">##PRD_PRICE##</td>
						</tr>
					</table>
				</td>
				<td valign="top" class="smallText" align="justify">
					<div style="width:100%;height:100px;overflow:hidden">
						##PRD_DESCRIPTION##
					</div>
				</td>
			</tr>
			<tr height="10">
				<td>&nbsp;</td>
			</tr>
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	function outError($errorText){
		echo "Err:" . $errorText;
	}
	function tep_create_calendar($controlname,$date_format){
?>
		<a href="javascript:show_calendar('<?php echo $controlname;?>',null,null,'<?php echo $date_format;?>');"
		onmouseover="window.status='Date Picker';return true;"
		onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/ align="absmiddle">  
		</a>
<?php 
	}
?>