<?php
/*
      
osCommRes, Services Online 
http://www.oscommres.com 
Copyright (c) 2005 osCommRes 

Freeway eCommerce
http://www.openfreeway.org
Copyright (c) 2007 ZacWare

Released under the GNU General Public License 
*/
//catchFatalErrors();
//set_error_handler("myErrorHandler");


	// Check to ensure this file is included in Freeway!
	defined('_FEXEC') or die();

	if (isset($joomla_include)) return;

	error_reporting(E_ALL & ~E_NOTICE);
	
	ini_set('session.bug_compat_42',0);
	ini_set('session.bug_compat_warn',0);
	
	ini_set('default_charset','iso-8859-1'); //set charset

	// start the timer for the page pars	e time log
	define('PAGE_PARSE_START_TIME', microtime());

	$_SERVER['SCRIPT_FILENAME']=$_SERVER['DOCUMENT_ROOT'].((strpos($_SERVER['DOCUMENT_ROOT'],"\\")>0)?str_replace("/","\\",$_SERVER['PHP_SELF']):$_SERVER['PHP_SELF']);


	define('CHECK_CON','');
	// Set the local configuration parameters - mainly for developers
	if (file_exists('includes/local/configure.php')) include('includes/local/configure.php');

	// include server parameters
	require('includes/configure.php');

	include(DIR_WS_CLASSES . 'request.php');
	
	$FREQUEST=new phprequest();
	
	$FGET=&$FREQUEST->getRef('GET');
	$FPOST=&$FREQUEST->getRef('POST');
	
	require(DIR_WS_CLASSES . 'filter_input.php');
  
	if( (isset($FPOST)) || (isset($FGET)) ){
		$INPUT_FILTER = new filter_input();
		if(count($FPOST)>0){
			reset($FPOST);
			while(list($key,) = each($FPOST)){
					 if(!is_array($FPOST[$key])){
					 $FPOST[$key]=$INPUT_FILTER->_cleanTags($FPOST[$key]);
					 }
				}
		}		
		if (count($FGET)>0){
			reset($FGET);	
			while(list($key,) = each($FGET)){
					if(!is_array($FGET[$key])){
					$FGET[$key]=$INPUT_FILTER->_cleanTags($FGET[$key]);
					}
				}	
		}	
	}
 

	if (strlen(DB_SERVER) < 1) {
		if (is_dir('install')) {
			header('Location: install/index.php');
		}
	}

	// define the project version
	define('PROJECT_VERSION', 'Freeway');

	// set the type of request (secure or not)
	$request_type = (getenv('HTTPS') == 'on') ? 'SSL' : 'NONSSL';

	// set php_self in the local scope
	if (!isset($PHP_SELF)) $PHP_SELF = $FREQUEST->servervalue('PHP_SELF');

	if ($request_type == 'NONSSL') {
		define('DIR_WS_CATALOG', DIR_WS_HTTP_CATALOG);
	} else {
		define('DIR_WS_CATALOG', DIR_WS_HTTPS_CATALOG);
	}
	
	
	$TEMPLATE_MAIN_PAGE='';
	// include the list of project filenames
	require(DIR_WS_INCLUDES . 'filenames.php');
	
	// include the list of project database tables
	require(DIR_WS_INCLUDES . 'database_tables.php');

	// include the database functions
	require(DIR_WS_FUNCTIONS . 'database.php');

	// make a connection to the database... now
	tep_db_connect() or die('Unable to connect to database server!');

	// set the application parameters
	$configuration_query = tep_db_query('select configuration_key as cfgKey, configuration_value as cfgValue from ' . TABLE_CONFIGURATION);
	while ($configuration = tep_db_fetch_array($configuration_query)) {
		define($configuration['cfgKey'], $configuration['cfgValue']);
	}

	// if gzip_compression is enabled, start to buffer the output
	if ( (GZIP_COMPRESSION == 'true') && ($ext_zlib_loaded = extension_loaded('zlib')) && (PHP_VERSION >= '4') ) {
	if (($ini_zlib_output_compression = (int)ini_get('zlib.output_compression')) < 1) {
	  if (PHP_VERSION >= '4.0.4') {
		ob_start('ob_gzhandler');
	  } else {
		include(DIR_WS_FUNCTIONS . 'gzip_compression.php');
		ob_start();
		ob_implicit_flush();
	  }
	} else {
	  ini_set('zlib.output_compression_level', GZIP_LEVEL);
	}
	}

// set the HTTP GET parameters manually if search_engine_friendly_urls is enabled
  if (SEARCH_ENGINE_FRIENDLY_URLS == 'true' && strpos($FREQUEST->servervalue('REQUEST_URI'), '.php/')!==false) {
		$path_info=$FREQUEST->servervalue("REQUEST_URI");
    if (strlen($path_info) > 1) {
      $GET_array = array();
	  $temp_pos=strpos($path_info,".php");
	  if ($temp_pos!==false){
		  $PHP_SELF=substr($path_info,0,$temp_pos+4);
		  $FREQUEST->setvalue('PHP_SELF',$PHP_SELF,'SERVER');
	      $path_info = substr($path_info,$temp_pos+4);
	  }
      $vars = explode('/', substr($path_info, 1));
      for ($i=0, $n=count($vars); $i<$n; $i++) {
        if (strpos($vars[$i], '[]')) {
          $GET_array[substr($vars[$i], 0, -2)][] = $vars[$i+1];
        } else {
          $FREQUEST->setvalue($vars[$i],$vars[$i+1],'GET');
        }
        $i++;
      }

      if (sizeof($GET_array) > 0) {
        while (list($key, $value) = each($GET_array)) {
           $FREQUEST->setvalue($key,$value,'GET');
        }
      }
    }
  }

	// define general functions used application-wide
	require(DIR_WS_FUNCTIONS . 'general.php');
	require(DIR_WS_FUNCTIONS . 'html_output.php');

	// set the cookie domain
	$cookie_domain = (($request_type == 'NONSSL') ? HTTP_COOKIE_DOMAIN : HTTPS_COOKIE_DOMAIN);
	$cookie_path = (($request_type == 'NONSSL') ? HTTP_COOKIE_PATH : HTTPS_COOKIE_PATH);
	// include cache functions if enabled
	if (USE_CACHE == 'true') include(DIR_WS_FUNCTIONS . 'cache.php');

	// SEF BEGIN
	require(DIR_WS_CLASSES . 'seo_url.php');
	$SEO_URL = new seo_url;
	if ($GLOBALS["SEO_URL"]->enabled){
		$SEO_URL->restore_seo_url();
	}
	// include shopping cart class
	require(DIR_WS_CLASSES . 'shopping_cart.php');
	require(DIR_WS_CLASSES . "services.php");


	// include navigation history class
	require(DIR_WS_CLASSES . 'navigation_history.php');


	// some code to solve compatibility issues
	require(DIR_WS_FUNCTIONS . 'compatibility.php');

	include(DIR_WS_CLASSES . 'sessions.php');


    if (!$SESS_LIFE = get_cfg_var('session.gc_maxlifetime')) {
		$SESS_LIFE = 1440;
    }
	if (defined("SESSION_TIMEOUT_FRONTEND") && (int)SESSION_TIMEOUT_FRONTEND>=0){
		$SESS_LIFE=SESSION_TIMEOUT_FRONTEND*60;
	}


	$FSESSION = new phpsession(STORE_SESSIONS);
	$FSESSION->LIFETIME=$SESS_LIFE;
	$FSESSION->NAME='fEcom';
	$FSESSION->SAVE_PATH=SESSION_WRITE_DIRECTORY;
	$FSESSION->COOKIE_PATH=$cookie_path;
	$FSESSION->COOKIE_DOMAIN=$cookie_domain;
	$FSESSION->REQUEST_TYPE=$request_type;
	
	$FSESSION->start();

  //=========================================
/*/ set the session ID if it exists
// start the session
  $FSESSION->STARTED = false;
  if (SESSION_FORCE_COOKIE_USE == 'True') {
    tep_setcookie('cookie_test', 'please_accept_for_session', time()+60*60*24*30, $cookie_path, $cookie_domain);

    if (isset($HTTP_COOKIE_VARS['cookie_test'])) {
      tep_session_start();
      $FSESSION->STARTED = true;
    }
  } elseif (SESSION_BLOCK_SPIDERS == 'True') {
    $user_agent = strtolower(getenv('HTTP_USER_AGENT'));
    $spider_flag = false;

    if (tep_not_null($user_agent)) {
      $spiders = file(DIR_WS_INCLUDES . 'spiders.txt');

      for ($i=0, $n=sizeof($spiders); $i<$n; $i++) {
        if (tep_not_null($spiders[$i])) {
          if (is_integer(strpos($user_agent, trim($spiders[$i])))) {
            $spider_flag = true;
            break;
          }
        }
      }
    }
    if ($spider_flag == false) {
      tep_session_start();
      $FSESSION->STARTED = true;
    }
  } else {
    tep_session_start();
    $FSESSION->STARTED = true;
  }

// set SID once, even if empty
  // Register Globals MOD - http://oscommerce.magic-seo-url.com
  if (!$REGISTER_GLOBALS) {
  	if ($REGISTER_LONG_ARRAYS){
		$NOGLOBALS_SESSION_DATA=&$HTTP_SESSION_VARS;
	} else {
		$NOGLOBALS_SESSION_DATA=&$_SESSION;
	}
    if ($REGISTER_LONG_ARRAYS) {
       $_SESSION =&$HTTP_SESSION_VARS;
    } else {
		$HTTP_SESSION_VARS=$_SESSION;
	}
	if (count($NOGLOBALS_SESSION_DATA)>0){
		reset($NOGLOBALS_SESSION_DATA);
		while(list($key,$value)=each($NOGLOBALS_SESSION_DATA)){
			$$key=$value;
		}
	}
  }
  
  $SID = (defined('SID') ? SID : '');

// verify the ssl_session_id if the feature is enabled
  if ( ($request_type == 'SSL') && (SESSION_CHECK_SSL_SESSION_ID == 'True') && (ENABLE_SSL == true) && ($session_started == true) ) {
    $ssl_session_id = getenv('SSL_SESSION_ID');
    if (!$FSESSION->is_registered('SSL_SESSION_ID')) {
      $SESSION_SSL_ID = $ssl_session_id;
      tep_session_register('SESSION_SSL_ID');
    }

    if ($SESSION_SSL_ID != $ssl_session_id) {
      tep_session_destroy();
      tep_redirect(tep_href_link(FILENAME_SSL_CHECK));
    }
  }

// verify the browser user agent if the feature is enabled
  if (SESSION_CHECK_USER_AGENT == 'True') {
    $http_user_agent = getenv('HTTP_USER_AGENT');
    if (!$FSESSION->is_registered('SESSION_USER_AGENT')) {
      $SESSION_USER_AGENT = $http_user_agent;
      tep_session_register('SESSION_USER_AGENT');
    }

    if ($SESSION_USER_AGENT != $http_user_agent) {
      tep_session_destroy();
      tep_redirect(tep_href_link(FILENAME_LOGIN));
    }
  }

// verify the IP address if the feature is enabled
  if (SESSION_CHECK_IP_ADDRESS == 'True') {
    $ip_address = tep_get_ip_address();
    if (!$FSESSION->is_registered('SESSION_IP_ADDRESS')) {
      $SESSION_IP_ADDRESS = $ip_address;
      tep_session_register('SESSION_IP_ADDRESS');
    }

    if ($SESSION_IP_ADDRESS != $ip_address) {
      tep_session_destroy();
      tep_redirect(tep_href_link(FILENAME_LOGIN));
    }
  }
*/

// create the shopping cart & fix the cart if necesary
	$cart=&$FSESSION->getobject("cart");
	if (!is_object($cart)){
		$cart=new shoppingCart;
		$FSESSION->set('cart',$cart);
	}
 	$cart=&$FSESSION->getobject("cart");
	
	// check the cookie for the user values
	$osCuser=$FREQUEST->cookievalue('osCuser');
	$oscPass=$FREQUEST->cookievalue('osCpass');
	$current_file=basename($PHP_SELF);

	if (!$FSESSION->is_registered('customer_id') && !$FSESSION->is_registered('customer_auto_name') && $osCuser!="" && $oscPass!="" && $current_file!=FILENAME_LOGIN && $current_file!=FILENAME_LOGOFF){
		$add_option="";
		if (ACCOUNT_USERNAME=="true") $add_option=" or customers_username='" . tep_db_input($osCuser) . "'";
		$check_customer_query = tep_db_query("select customers_id, customers_firstname, customers_password, customers_email_address, customers_default_address_id,encryption_style from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($osCuser) . "' " . $add_option);
	
		if (tep_db_num_rows($check_customer_query)>0){
			$check_customer = tep_db_fetch_array($check_customer_query);
			$hash_value=defined('ENCRYPTION_HASH_VALUE')?ENCRYPTION_HASH_VALUE:'@sC@mmRes';
			if ($oscPass==md5($check_customer["customers_password"] . $hash_value)){

			$FSESSION->set('customer_auto_name',$check_customer['customers_firstname']);
		
			// update survey flag if customer exist
			$FSESSION->set('error_count',0); 
			$sName=$FSESSION->name;
			$sKey=$FREQUEST->getvalue($sName);
			
			tep_db_query("update " . TABLE_EVENTS_SURVEYS_FLAG . " set survey_flag_email='" . (int)$FSESSION->customer_id . "' where survey_flag_email='" . tep_db_input($sKey) . "'");
			// restore cart contents
			$SID = (defined('SID') ? SID : '');
			tep_redirect(tep_href_link($current_file,tep_get_all_get_params(),'SSL'));
			}// $oscPass
		}// $check_customers_query
	}// session_registered
  
	if ($FSESSION->is_registered('customer_id') && $FREQUEST->cookievalue('survey_login_id')!=$FSESSION->customer_id){
	 $FREQUEST->setcookie('survey_login_id',$FSESSION->customer_id,time()+(30*24*60*60),$cookie_path,$cookie_domain);
	}



// include currencies class and create an instance
  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

// include the mail classes
  require(DIR_WS_CLASSES . 'mime.php');
  require(DIR_WS_CLASSES . 'email.php');
  
	if (defined('USE_SMTP') && USE_SMTP && file_exists(DIR_WS_CLASSES . 'class.phpgmailer.php')) {
	  require(DIR_WS_CLASSES . 'class.phpgmailer.php');
    }
  
	// set the language
	$t_language=$FREQUEST->getvalue('language');
	if (!$FSESSION->is_registered('language') || $t_language!=''){
		if ($t_language=='') $t_language=$FSESSION->language;
	
		include(DIR_WS_CLASSES . 'language.php');
		$lng = new language();
	
		if ($t_language!='' && isset($lng->catalog_languages[$t_language])) {
			$lng->set_language($language);
		} else {
			$lng->get_browser_language();
		}
	
		$FSESSION->set("language",$lng->language['directory']);
		$FSESSION->set("languages_id",$lng->language['id']);
	}  
   
	// include the language translations
	require(DIR_WS_LANGUAGES . $FSESSION->language . '.php');
	$current_page = basename($PHP_SELF);
	if (file_exists(DIR_WS_LANGUAGES . $FSESSION->language . '/' . $current_page)) {
		include(DIR_WS_LANGUAGES . $FSESSION->language . '/' . $current_page);
	}
  
// currency
 $t_currency=$FREQUEST->getvalue('currency');
	if (!$FSESSION->is_registered('t_currency') || $t_currency!=''){
		if ($t_currency=='') $t_currency=$FSESSION->currency;
		if (!tep_currency_exists($t_currency)) $t_currency=DEFAULT_CURRENCY;
		$FSESSION->set('currency',$t_currency);
	}
// navigation history
	$navigation=&$FSESSION->getobject("navigation");
	if (!is_object($navigation)){
		$navigation=new navigationHistory;
		$FSESSION->set('navigation',$navigation);
	}
	$navigation=&$FSESSION->getobject("navigation");
	
	$navigation->add_current_page();
// BOF: Down for Maintenance except for admin ip
//if (EXCLUDE_ADMIN_IP_FOR_MAINTENANCE != getenv('REMOTE_ADDR')){
if (EXCLUDE_ADMIN_IP_FOR_MAINTENANCE != $FREQUEST->servervalue('REMOTE_ADDR')){
	if (DOWN_FOR_MAINTENANCE=='true' and !strstr($PHP_SELF,DOWN_FOR_MAINTENANCE_FILENAME)) { tep_redirect(tep_href_link(DOWN_FOR_MAINTENANCE_FILENAME)); }
	}
// do not let people get to down for maintenance page if not turned on
if (DOWN_FOR_MAINTENANCE=='false' and strstr($PHP_SELF,DOWN_FOR_MAINTENANCE_FILENAME)) {
    tep_redirect(tep_href_link(FILENAME_DEFAULT));
}
// EOF: WebMakers.com Added: Down for Maintenance


// BOF: WebMakers.com Added: Functions Library
    include(DIR_WS_FUNCTIONS . 'webmakers_added_functions.php');
// EOF: WebMakers.com Added: Functions Library
  if (isset($FGET['action'])) {

   if (DISPLAY_CART == 'true') {
      $goto =  FILENAME_SHOPPING_CART;
	  $parameters = array('action', 'cPath', 'products_id', 'pid');
    } else {
      $goto = basename($PHP_SELF);
      if ($FGET['action'] == 'buy_now') {
        $parameters = array('action', 'pid', 'products_id');
      } else {
        $parameters = array('action', 'pid');
      }
    }
    switch ($FGET['action']) {
      // customer wants to update the product quantity in their shopping cart
      case 'update_product' : for ($i=0, $n=sizeof($FPOST['products_id']); $i<$n; $i++) {
                                if (in_array($FPOST['products_id'][$i], (is_array($FPOST['cart_delete']) ? $FPOST['cart_delete'] : array()))) {
                                  $cart->remove($FPOST['products_id'][$i]);
                                } else {
                                  if (PHP_VERSION < 4) {
                                    // if PHP3, make correction for lack of multidimensional array.
                                    reset($FPOST);
                                    while (list($key, $value) = each($FPOST)) {
                                      if (is_array($value)) {
                                        while (list($key2, $value2) = each($value)) {
                                          if (ereg ("(.*)\]\[(.*)", $key2, $var)) {
                                            $id2[$var[1]][$var[2]] = $value2;
                                          }
                                        }
                                      }
                                    }
                                    $attributes = ($id2[$FPOST['products_id'][$i]]) ? $id2[$FPOST['products_id'][$i]] : '';
                                  } else {
                                    $attributes = ($FPOST['id'][$FPOST['products_id'][$i]]) ? $FPOST['id'][$FPOST['products_id'][$i]] : '';
                                  }
                                  $cart->add_cart($FPOST['products_id'][$i], $FPOST['cart_quantity'][$i], $attributes, false);
                                }
                              }
                              tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                              break;
      // customer adds a product from the products page
      case 'add_product' :   
				if (isset($FPOST['products_id']) && is_numeric($FPOST['products_id'])) {
					$products_id=$FREQUEST->postvalue('products_id','int');
					$subscription_start_date = tep_convert_date_raw($FREQUEST->postvalue('your_start_date','date','0000-00-00'));
					$serverDate = date('Y-m-d',getServerDate(false));
					
					$qty=$FREQUEST->postvalue('qty','int',1);
					if ($qty<=0) $qty=1;

					
					$attributes="";
					if (isset($FPOST['id'])){
						$attributes=$FPOST['id'];
					} else if (isset($FPOST['attrValues']) && isset($FPOST['attrIds'])){
						for ($icnt=0,$n=count($FPOST['attrValues']);$icnt<$n;$icnt++){
							$attributes[$FPOST['attrIds'][$icnt]]=$FPOST['attrValues'][$icnt];
						}
					}
					$salemaker_id=$FREQUEST->postvalue('salemaker_id','int',0);
					//if (!$cart->is_price_break((int)$HTTP_POST_VARS['products_id'])) $qty+=$cart->get_quantity(tep_get_uprid($products_id, $HTTP_POST_VARS['id']));
					$cart->add_cart($products_id, $qty, $attributes,true,array(),0,$salemaker_id);
					// check for forced products;
					$xsell_ids=(isset($FPOST["xsell_forced_id"])?$FPOST["xsell_forced_id"]:array());
					if (count($xsell_ids)>0){
						for ($lcnt=0;$lcnt<count($xsell_ids);$lcnt++){
							$attr=(isset($xsell_forced_attributes[$xsell_ids[$lcnt]])?$xsell_forced_attributes[$xsell_ids[$lcnt]]:array());
							
						$sale_query=tep_db_query("select apply_to_cross_sale from " . TABLE_SALEMAKER_SALES . " where sale_id='" . tep_db_input($salemaker_id) . "'")	;
						$sale_result=tep_db_fetch_array($sale_query);
						$sale_id=0;
						if($sale_result['apply_to_cross_sale']=='Y')
							$sale_id=$salemaker_id;
						
						 $cart->add_cart($xsell_ids[$lcnt], 1, $attr,true,array(),0,$sale_id);
						}
					}
				}
				tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                break;
				
				
		// Modificacion Wishlist Checkboxes
case 'add_products_wishlist' : if (isset($FPOST['add_wishprod'])) {
			if ($FPOST['borrar'] == 0) {
  				  foreach ($FPOST['add_wishprod'] as $value) {
   					 if (ereg('^[0-9]+$', $value)) {					
					 tep_db_query("delete from " . TABLE_WISHLIST . " where products_id = $value and customers_id = '" . (int)$FSESSION->customer_id . "'");
    				 $cart->add_cart($value, $cart->get_quantity(tep_get_uprid($value, $FPOST['id']))+1, $FPOST['id']);
   				 }
  			}
			tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
		}
	if ($FPOST['borrar'] == 1) {
  		foreach ($FPOST['add_wishprod'] as $value) {
   			 if (ereg('^[0-9]+$', $value)) {
 				tep_db_query("delete from " . TABLE_WISHLIST . " where products_id = $value and customers_id = '" . (int)$FSESSION->customer_id . "'");
  			 }
 		 }
		tep_redirect(tep_href_link(FILENAME_WISHLIST));
	   }
	}
  break;
		// Fin Wishlist Checkboxes

// Add product to the wishlist
      case 'add_wishlist' :   if (ereg('^[0-9]+$', $FGET['products_id'])) {
                                if ($FGET['products_id']) {
                                  tep_db_query("delete from " . TABLE_WISHLIST . " where products_id = '" . tep_db_input($FGET['products_id']) . "' and customers_id = '" . (int)$FSESSION->customer_id . "'");
                                  tep_db_query("insert into " . TABLE_WISHLIST . " (customers_id, products_id, products_model, products_name, products_price) values ('" . (int)$FSESSION->customer_id . "', '" . tep_db_input($products_id) . "', '" . tep_db_input($products_model) . "', '" . tep_db_input($products_name) . "', '" . tep_db_input($products_price) . "' )");
                                }
                              }
                              tep_redirect(tep_href_link(FILENAME_WISHLIST));
                              break;


      case 'wishlist_add_cart': reset ($lvnr);
                                reset ($lvanz);
                                  while (list($key,$elem) =each ($lvnr))
                                        {
                                        (list($key1,$elem1) =each ($lvanz));
                                        tep_db_query("update " . TABLE_WISHLIST . " set products_quantity = '" . tep_db_input($elem1) . "' where customers_id = '" . (int)$FSESSION->customer_id . "' and products_id = '" . tep_db_input($elem) . "'");
                                        tep_db_query("delete from " . TABLE_WISHLIST . " where customers_id= '" . (int)$FSESSION->customer_id . "' and products_quantity = '999'");
                                        $produkte_mit_anzahl=tep_db_query("select * from " . TABLE_WISHLIST . " where customers_id = '" . (int)$FSESSION->customer_id . "' and products_id = '" . tep_db_input($elem) . "' and products_quantity<>'0'");

                                  while ($FGET=mysql_fetch_array($produkte_mit_anzahl))
                                  {
                                  $cart->add_cart($FPOST['products_id'], $FPOST['products_quantity']);
                                  }
                                          }
                                reset ($lvanz);
                              tep_redirect(tep_href_link(FILENAME_WISHLIST));
                              break;


// remove item from the wishlist
      case 'remove_wishlist':
                              tep_db_query("delete from " . TABLE_WISHLIST . " where products_id = '" . tep_db_input($FGET['pid']) . "' and customers_id = '" . (int)$FSESSION->customer_id . "'");
                              tep_redirect(tep_href_link(FILENAME_WISHLIST));
                              break;
				
				
				
      // performed by the 'buy now' button in product listings and review page
      case 'buy_now' :        
	  				if (isset($FGET['products_id']) && is_numeric($FGET['products_id'])) {
                        if (tep_has_product_attributes($FGET['products_id'])) {
                           tep_redirect(tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $FGET['products_id']));
                        } else {
                            $cart->add_cart($FGET['products_id'], $cart->get_quantity($FGET['products_id'])+1);
                        }
					}
                    tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                    break;
      case 'notify' :         if ($FSESSION->is_registered('customer_id')) {
                                if (isset($FGET['products_id'])) {
                                  $notify = $FGET['products_id'];
                                } elseif (isset($FGET['notify'])) {
                                  $notify = $FGET['notify'];
                                } elseif (isset($FPOST['notify'])) {
                                  $notify = $FPOST['notify'];
                                } else {
                                  tep_redirect(tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action', 'notify'))));
                                }
                                if (!is_array($notify)) $notify = array($notify);
                                for ($i=0, $n=sizeof($notify); $i<$n; $i++) {
                                  $check_query = tep_db_query("select count(*) as count from " . TABLE_PRODUCTS_NOTIFICATIONS . " where products_id = '" . tep_db_input($notify[$i]) . "' and customers_id = '" . (int)$FSESSION->customer_id . "'");
                                  $check = tep_db_fetch_array($check_query);
                                  if ($check['count'] < 1 && isset($FGET['products_id'])) {
                                    tep_db_query("insert into " . TABLE_PRODUCTS_NOTIFICATIONS . " (products_id, customers_id, date_added) values ('" . tep_db_input($notify[$i]) . "', '" . (int)$FSESSION->customer_id . "', now())");
                                  }
                                }
                                tep_redirect(tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action', 'notify'))));
                              } else {
                                $navigation->set_snapshot();
                                tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
                              }
                              break;
      case 'notify_remove' :  if ($FSESSION->is_registered('customer_id') && isset($FGET['products_id'])) {
                                $check_query = tep_db_query("select count(*) as count from " . TABLE_PRODUCTS_NOTIFICATIONS . " where products_id = '" . (int)$FGET['products_id'] . "' and customers_id = '" . (int)$FSESSION->customer_id . "'");
                                $check = tep_db_fetch_array($check_query);
                                if ($check['count'] > 0) {
                                  tep_db_query("delete from " . TABLE_PRODUCTS_NOTIFICATIONS . " where products_id = '" . tep_db_input($FGET['products_id']) . "' and customers_id = '" . (int)$FSESSION->customer_id . "'");
                                }
                                tep_redirect(tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action'))));
                              } else {
                                $navigation->set_snapshot();
                                tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
                              }
                              break;
      case 'cust_order' :     if ($FSESSION->is_registered('customer_id') && isset($FGET['pid'])) {
                                if (tep_has_product_attributes($FGET['pid'])) {
                                  tep_redirect(tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $FGET['pid']));
                                } else {
                                  $cart->add_cart($FGET['pid'], $cart->get_quantity($FGET['pid'])+1);
                                }
                              }
                              tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                              break;
    }
  }
// include the who's online functions
  require(DIR_WS_FUNCTIONS . 'whos_online.php');
  tep_update_whos_online();

// include the password crypto functions
  require(DIR_WS_FUNCTIONS . 'password_funcs.php');
// include validation functions (right now only email address)
  require(DIR_WS_FUNCTIONS . 'validations.php');

// split-page-results
  require(DIR_WS_CLASSES . 'split_page_results.php');

// Lango added for template BOF:
  require(DIR_WS_INCLUDES . 'template_application_top.php');
// Lango added for template EOF:
  if (!defined('TEMPLATENAME_MAIN_PAGE')) define('TEMPLATENAME_MAIN_PAGE',TEMPLATENAME_MAIN_PAGE_DEFAULT);

// auto activate and expire banners
  require(DIR_WS_FUNCTIONS . 'banner.php');
  tep_activate_banners();
  tep_expire_banners();

// auto expire special products
  require(DIR_WS_FUNCTIONS . 'specials.php');
  tep_expire_specials();

// auto expire featured products
  require(DIR_WS_FUNCTIONS . 'featured.php');
  tep_expire_featured();

// calculate category path
  if ($FREQUEST->getvalue('cPath')) { 
    $cPath = $FREQUEST->getvalue('cPath');
  } elseif ($FREQUEST->getvalue('products_id','int') && !$FREQUEST->getvalue('manufacturers_id')) {
    $cPath = tep_get_product_path($FREQUEST->getvalue('products_id','int'));
  } else {
    $cPath = '';
  }

  if (tep_not_null($cPath)) {
    $cPath_array = tep_parse_category_path($cPath);
    $cPath = implode('_', $cPath_array);
    $current_category_id = $cPath_array[(sizeof($cPath_array)-1)];
  } else {
    $current_category_id = 0;
  }
   if (tep_not_null($cPath)){
     $FSESSION->set('prev_category_viewed','cPath='.$cPath);
  }

  

// include the breadcrumb class and start the breadcrumb trail
  require(DIR_WS_CLASSES . 'breadcrumb.php');
  $breadcrumb = new breadcrumb;

  if ($FSESSION->is_registered('customer_id') && defined("HTTP_HOME_URL") && ENABLE_WEB_SERVICE){
	$breadcrumb->add(HEADER_TITLE_TOP, (defined("HTTP_HOME_URL")?HTTP_HOME_URL:HTTP_SERVER) . "?user_id=" . $FSESSION->customer_id . "&session_key=" . $FSESSION->ID . "&type=1981");
} else {
	$breadcrumb->add(HEADER_TITLE_TOP, (defined("HTTP_HOME_URL")?HTTP_HOME_URL:HTTP_SERVER));
}

  $breadcrumb->add(HEADER_TITLE_CATALOG, tep_href_link(FILENAME_DEFAULT));

// add category names or the manufacturer name to the breadcrumb trail
  if (isset($cPath_array)) {
    for ($i=0, $n=sizeof($cPath_array); $i<$n; $i++) {
      $categories_query = tep_db_query("select categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id = '" . (int)$cPath_array[$i] . "' and language_id = '" . (int)$FSESSION->languages_id . "'");
      if (tep_db_num_rows($categories_query) > 0) {
        $categories = tep_db_fetch_array($categories_query);
        $breadcrumb->add($categories['categories_name'], tep_href_link(FILENAME_DEFAULT, 'cPath=' . implode('_', array_slice($cPath_array, 0, ($i+1)))));
      } else {
        break;
      }
    }
  } elseif ($FREQUEST->getvalue('manufacturers_id')) {
    $manufacturers_query = tep_db_query("select manufacturers_name from " . TABLE_MANUFACTURERS . " where manufacturers_id = '" . $FREQUEST->getvalue('manufacturers_id','int') . "'");
    if (tep_db_num_rows($manufacturers_query)) {
      $manufacturers = tep_db_fetch_array($manufacturers_query);
      $breadcrumb->add($manufacturers['manufacturers_name'], tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $FREQUEST->getvalue('manufacturers_id','int')));
    }
  }
// add the products model to the breadcrumb trail
  if ($FREQUEST->getvalue('products_id')) {
    $model_query = tep_db_query("select p.products_model, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = '" . tep_db_input($FREQUEST->getvalue('products_id','int')) . "' and p.products_id=pd.products_id and pd.language_id='" . (int)$FSESSION->languages_id . "' ");
    if (tep_db_num_rows($model_query)) {
      $model = tep_db_fetch_array($model_query);
		if($model['products_model']!="")
			$product_name=$model['products_model'];
		else
			$product_name=$model['products_name'];	
      $breadcrumb->add($product_name, tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $cPath . '&products_id=' . $FREQUEST->getvalue('products_id','int')));
    }
  }
// initialize the message stack for output messages
  require(DIR_WS_CLASSES . 'message_stack.php');
  $messageStack = new messageStack;
//  if($currency_count<=0)
//	  $messageStack->add('header', sprintf(WARNING_CURRENCY,$currency), 'warning');

  if ($GLOBALS["SEO_URL"]->lastError!='')
	  $messageStack->add('header', $GLOBALS["SEO_URL"]->lastError, 'error');


// error handler function
 //joomla1.0
   if(isset($FGET['user_hash_id']) && $FGET['user_hash_id']!="" && isset($FGET['email']) && $FGET['email']!=""){
  		$user_hash_id=$FGET['user_hash_id'];
  		$mod_freeway_name_hash=md5('freeway_name'.$user_hash_id);
		$mod_freeway_username_hash=md5('freeway_username'.$user_hash_id);
		$mod_freeway_email_hash=md5('freeway_email'.$user_hash_id);
   	 	if(!strpos($FGET['name'],$mod_freeway_name_hash) || !strpos($FGET['username'],$mod_freeway_username_hash) || !strpos($FGET['email'],$mod_freeway_email_hash)) tep_redirect(tep_href_link('index.php'));
		else {
			$firsname=base64_decode(str_replace($mod_freeway_name_hash,"",$FGET['name']));
			$username=base64_decode(str_replace($mod_freeway_username_hash,"",$FGET['username']));
			$emailaddress=base64_decode(str_replace($mod_freeway_email_hash,"",$emailaddress));
		}
  		$check_user=tep_db_query("select customers_username,customers_id,customers_default_address_id,customers_firstname from ".TABLE_CUSTOMERS." where customers_username='". tep_db_input($username)."'");
  		$customer_found=false;
  		if(tep_db_num_rows($check_user)>0)
  			$customer_found=true;
  		else {
  			$new_password = tep_create_random_value(ENTRY_PASSWORD_MIN_LENGTH);
      		//create new password
      		  	$password = '';
      		  	$type=ENCRYPTION_STYLE;
			    for ($i=0; $i<10; $i++)  $password .= tep_rand();
			    $salt = substr(md5($password), 0, 2);
				if ($type=="V")
				    $password = md5(md5($new_password) . $salt) . ':' . $salt;
				else
					$password = md5($salt . $new_password) . ':' . $salt;
				$crypted_password=tep_db_input($password);
      		//create new password
  			$insert_new_customer=array('customers_gender'=>'m','customers_firstname'=>$name,'customers_lastname'=>$name,'customers_username'=>$username,'customers_email_address'=>$email_address,'customers_password'=>$crypted_password);
  			tep_db_perform(TABLE_CUSTOMERS,$insert_new_customer);
  			$c_id=tep_db_insert_id();
  			if($c_id>0){
  				$insert_customer_address_book=array('customers_id'=>$c_id,'entry_gender'=>'m','entry_firstname'=>$name,'entry_lastname'=>$name,'entry_postcode'=>'4895','entry_city'=>'','entry_state'=>tep_get_zone_name(STORE_COUNTRY,STORE_ZONE,STORE_ZONE),'entry_country_id'=>STORE_COUNTRY);
  				tep_db_perform(TABLE_ADDRESS_BOOK,$insert_customer_address_book);
  				$a_id=tep_db_insert_id();
  				tep_db_query("update ".TABLE_CUSTOMERS." set customers_default_address_id='".(int)$a_id."' where customers_id='".(int)$c_id."'");	
  			}
  			$customer_found=true;
  		}
  		if($customer_found && $FSESSION->customer_id==0){
  			$check_customer=tep_db_fetch_array($check_user);
  			$check_country_query = tep_db_query("select entry_country_id, entry_zone_id from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$check_customer['customers_id'] . "' and address_book_id = '" . (int)$check_customer['customers_default_address_id'] . "'");
	        $check_country = tep_db_fetch_array($check_country_query);		    
	        $customer_id = $check_customer['customers_id'];
	        $customer_default_address_id = $check_customer['customers_default_address_id'];
	        $customer_first_name = $check_customer['customers_firstname'];
	        $customer_country_id = $check_country['entry_country_id'];
	        $customer_zone_id = $check_country['entry_zone_id'];	        
			$FSESSION->set('customer_id',$customer_id);
			$FSESSION->set('customer_default_address_id',$customer_default_address_id);
			$FSESSION->set('customer_first_name',$customer_first_name);
			$FSESSION->set('customer_country_id',$customer_country_id);
			$FSESSION->set('customer_zone_id',$customer_zone_id);
        	$merge_details[TEXT_SM]=STORE_NAME;
			$merge_details[TEXT_SN]=STORE_OWNER;
		    $merge_details[TEXT_SE]=STORE_OWNER_EMAIL_ADDRESS;
		    $merge_details[TEXT_LE]=$email_address;
		    $merge_details[TEXT_LP]=$new_password;		    
		    $send_details[0]['to_name'] = $name;
	        $send_details[0]['to_email'] = $email_address;
	        $send_details[0]['from_name']=STORE_OWNER;
	        $send_details[0]['from_email']=STORE_OWNER_EMAIL_ADDRESS;
            if($new_password) tep_send_default_email("CUS",$merge_details,$send_details);
            $cart->restore_contents();
  		}
   }
   if(isset($FGET['user_hash_id'])) tep_redirect(tep_href_link('index.php'));
 //joomla1.0
	  
// set which precautions should be checked
  define('WARN_INSTALL_EXISTENCE', 'true');
  define('WARN_CONFIG_WRITEABLE', 'true');
  define('WARN_SESSION_DIRECTORY_NOT_WRITEABLE', 'true');
  define('WARN_SESSION_AUTO_START', 'true');
  define('WARN_DOWNLOAD_DIRECTORY_NOT_READABLE', 'true');
  define('WARN_IMAGES_DIRECTORY_NOT_WRITEABLE','true');
  define('WARN_IMAGES_BIG_DIRECTORY_NOT_WRITEABLE','true');
  define('WARN_IMAGES_SMALL_DIRECTORY_NOT_WRITEABLE','true');
  define('WARN_LOG_DIRECTORY_NOT_WRITABLE','true');
// Include OSC-AFFILIATE
  require(DIR_WS_INCLUDES .'affiliate_application_top.php');
  require(DIR_WS_INCLUDES .'add_ccgvdc_application_top.php');
  include(DIR_WS_INCLUDES .'application_top_newsdesk.php');
  include(DIR_WS_INCLUDES .'application_top_faqdesk.php');
  include(DIR_WS_INCLUDES .'languages/add_ccgvdc_english.php');
  require(DIR_WS_INCLUDES . "events_application_top.php");
  require(DIR_WS_INCLUDES . "services_application_top.php");
  
  if (file_exists(DIR_WS_INCLUDES .'contractor_application_top.php')) require(DIR_WS_INCLUDES .'contractor_application_top.php');

  if (file_exists(DIR_WS_INCLUDES .'item_application_top.php')) require(DIR_WS_INCLUDES .'item_application_top.php');
  
	function json_string(&$array){
		global $js_string;
		$js_string.="{";
		$first=true;
		while(list($key,)=each($array)){
			if (!$first) {
				$js_string.=",\n";
			}
			$js_string.="'" . $key . "':";
			$first=false;
			if (is_array($array[$key])){
				if (count($array[$key])>0)
					json_string($array[$key]);
				else
					$js_string.="{}";
			} else{
				$js_string.=dispvalue($array[$key]);
			}
		}
		$js_string.="}";
	}
 header('Content-Type: text/html; charset=utf-8');
 
 if(SINGLE_PAGE_CHECKOUT=='True'){
 	$base_file = basename($PHP_SELF);
 	if($base_file==FILENAME_CHECKOUT_SHIPPING || $base_file==FILENAME_CHECKOUT_PAYMENT || $base_file==FILENAME_CHECKOUT_CONFIRMATION) {
		$perror='';
		if(isset($FGET['error']) && tep_not_null($FGET['error']))
			$perror='&error=' . $FGET['error'];
		tep_redirect(tep_href_link(FILENAME_CHECKOUT_SINGLE,tep_get_all_get_params(array('error')) . $perror,'SSL'));
	}	
 } elseif(SINGLE_PAGE_CHECKOUT=='False'){
 	$base_file = basename($PHP_SELF);
 	if($base_file==FILENAME_CHECKOUT_SINGLE)
		tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING,'','SSL'));
 }
 
   function tep_strip_input($data){
		global $INPUT_FILTER;
		if (is_array($data) && count($data)>0) {
			reset($data);
			while(list($key,)=each($data)){
				$data[$key]=$INPUT_FILTER->_cleanTags($data[$key]);
			}
			return $data;
		} else {
			return $INPUT_FILTER->_cleanTags($data);
		}
	}	
	function dispvalue($value){
		if(is_numeric($value)) return $value;
		else if(is_bool($value)){
			return ($value)?'true':'false';
		}else{
			return "'".addslashes(str_replace(array("\\n",chr(13) .chr(10),chr(10))," ",$value))."'";
		}		
	}
?>